Index: trunk/gsdl/macros/marathi.dm
===================================================================
--- trunk/gsdl/macros/marathi.dm	(revision 12542)
+++ trunk/gsdl/macros/marathi.dm	(revision 12542)
@@ -0,0 +1,550 @@
+# this file must be UTF-8 encoded
+#####################################################################
+#
+# English Language text and icon macros 
+#
+######################################################################
+#
+# This is the main macro file for translation when creating an 
+# interface in another language.
+
+# Under the 'text macros' comments are text macros of the form:
+# _macroname_ {macro value}
+# Everything between the {} is the text to be translated. This text 
+# may itself contain macros (i.e. characters other than space between
+# underscore characters, e.g. _about:numdocs_ or _textpage_). These
+# macro names occurring within text shouldn't be translated but should
+# be left as they are. Underscores or curly brackets occurring 
+# naturally within the text should be escaped with a leading backslash
+# (i.e. '\_', '\{' or '\}).
+#
+# Comment lines (other than those described above) need not be 
+# translated (i.e. any lines beginning with '#', like this line).
+#
+# The simplest way to translate this file is to save it as something
+# else (e.g. french.dm) and work through translating all the text
+# macro values and icon comments.
+#
+######################################################################
+
+
+######################################################################
+# Global (base) package
+package Global
+######################################################################
+
+
+#------------------------------------------------------------
+# text macros
+#------------------------------------------------------------
+
+_textperiodicals_ [l=mr] {à€šà€¿à€¯à€€à€à€Ÿà€²à€¿à€à¥}  # Updated 13-Aug-2006
+
+# these three used by the default format statement of the demo and dls collections.
+# -- Missing translation: _textsource_
+# -- Missing translation: _textdate_
+# -- Missing translation: _textnumpages_
+
+# -- Missing translation: _textsignin_
+
+# -- Missing translation: _textdefaultcontent_
+
+# -- Missing translation: _textdefaulttitle_
+
+# -- Missing translation: _textbadcollection_
+
+# -- Missing translation: _textselectpage_
+
+# -- Missing translation: _collectionextra_
+
+# this is only used by the collector (where the above _collectionextra_
+# macro will always be set to another value)
+_collectorextra_ [l=mr] {<p>à€¯à€Ÿ à€à¥à€°à€à€¥ à€žà€Ÿà€ à¥à€¯à€Ÿ à€®à€§à¥à€¯à¥---à€Šà€žà¥à€€à€à€µà€ à€à€¹à¥à€€.("_numdocs_" eq "1",document,documents),  <p><a href="_httppagex_(bsummary)"> </a> to view the build summary for this collection.
+}  # Updated 13-Aug-2006
+
+_textdescrcollection_ [l=mr] {}
+# -- Missing translation: _textdescrabout_
+# -- Missing translation: _textdescrhome_
+# -- Missing translation: _textdescrhelp_
+# -- Missing translation: _textdescrpref_
+# -- Missing translation: _textdescrgreenstone_
+# -- Missing translation: _textdescrusab_
+
+
+# Metadata names and navigation bar labels
+
+# -- Missing translation: _textSearch_
+# -- Missing translation: _labelSearch_
+
+# Dublin Core Metadata Element Set, Version 1.1
+# -- Missing translation: _textTitle_
+# -- Missing translation: _labelTitle_
+# -- Missing translation: _textCreator_
+# -- Missing translation: _labelCreator_
+# -- Missing translation: _textSubject_
+# -- Missing translation: _labelSubject_
+# -- Missing translation: _textDescription_
+# -- Missing translation: _labelDescription_
+# -- Missing translation: _textPublisher_
+# -- Missing translation: _labelPublisher_
+# -- Missing translation: _textContributor_
+# -- Missing translation: _labelContributor_
+# -- Missing translation: _textDate_
+# -- Missing translation: _labelDate_
+# -- Missing translation: _textType_
+# -- Missing translation: _labelType_
+# -- Missing translation: _textFormat_
+# -- Missing translation: _labelFormat_
+# -- Missing translation: _textIdentifier_
+# -- Missing translation: _labelIdentifier_
+# -- Missing translation: _textSource_
+# -- Missing translation: _labelSource_
+# -- Missing translation: _textLanguage_
+# -- Missing translation: _labelLanguage_
+# -- Missing translation: _textRelation_
+# -- Missing translation: _labelRelation_
+# -- Missing translation: _textCoverage_
+# -- Missing translation: _labelCoverage_
+# -- Missing translation: _textRights_
+# -- Missing translation: _labelRights_
+
+# DLS metadata set
+# -- Missing translation: _textOrganization_
+# -- Missing translation: _labelOrganization_
+# -- Missing translation: _textKeyword_
+# -- Missing translation: _labelKeyword_
+# -- Missing translation: _textHowto_
+# -- Missing translation: _labelHowto_
+
+# Miscellaneous Greenstone metadata
+# -- Missing translation: _textPhrase_
+# -- Missing translation: _labelPhrase_
+# -- Missing translation: _textCollage_
+# -- Missing translation: _labelCollage_
+# -- Missing translation: _textBrowse_
+# -- Missing translation: _labelBrowse_
+# -- Missing translation: _textTo_
+# -- Missing translation: _labelTo_
+# -- Missing translation: _textFrom_
+# -- Missing translation: _labelFrom_
+# -- Missing translation: _textAcronym_
+# -- Missing translation: _labelAcronym_
+
+# Navigation bar tooltip - to customize this for a specific metadata, add a macro named _textdescrXXX_ where XXX is the metadata name
+# -- Missing translation: _textdescrdefault_
+
+# -- Missing translation: _textdescrSearch_
+# -- Missing translation: _textdescrType_
+# -- Missing translation: _textdescrIdentifier_
+# -- Missing translation: _textdescrSource_
+# -- Missing translation: _textdescrTo_
+# -- Missing translation: _textdescrFrom_
+# -- Missing translation: _textdescrCollage_
+# -- Missing translation: _textdescrAcronym_
+# -- Missing translation: _textdescrPhrase_
+# -- Missing translation: _textdescrHowto_
+# -- Missing translation: _textdescrBrowse_
+# -- Missing translation: _texticontext_
+# -- Missing translation: _texticonclosedbook_
+# -- Missing translation: _texticonnext_
+# -- Missing translation: _texticonprev_
+
+# -- Missing translation: _texticonworld_
+
+# -- Missing translation: _texticonmidi_
+# -- Missing translation: _texticonmsword_
+# -- Missing translation: _texticonmp3_
+# -- Missing translation: _texticonpdf_
+# -- Missing translation: _texticonps_
+# -- Missing translation: _texticonppt_
+# -- Missing translation: _texticonrtf_
+# -- Missing translation: _texticonxls_
+
+# -- Missing translation: _page_
+_pages_ [l=mr] {à€ªà€Ÿà€šà¥}  # Updated 22-Aug-2006
+# -- Missing translation: _of_
+# -- Missing translation: _vol_
+# -- Missing translation: _num_
+
+_textmonth00_ [l=mr] {}
+# -- Missing translation: _textmonth01_
+# -- Missing translation: _textmonth02_
+# -- Missing translation: _textmonth03_
+# -- Missing translation: _textmonth04_
+# -- Missing translation: _textmonth05_
+# -- Missing translation: _textmonth06_
+# -- Missing translation: _textmonth07_
+# -- Missing translation: _textmonth08_
+# -- Missing translation: _textmonth09_
+# -- Missing translation: _textmonth10_
+# -- Missing translation: _textmonth11_
+# -- Missing translation: _textmonth12_
+
+_textdocument_ [l=mr] {à€Šà€žà¥à€€à€à€µà€}  # Updated 13-Aug-2006
+# -- Missing translation: _textsection_
+# -- Missing translation: _textparagraph_
+
+# -- Missing translation: _magazines_
+
+# -- Missing translation: _nzdlpagefooter_
+
+# -- Missing translation: _linktextHOME_
+# -- Missing translation: _linktextHELP_
+# -- Missing translation: _linktextPREFERENCES_
+
+
+######################################################################
+# 'about' page
+package about
+######################################################################
+
+
+#------------------------------------------------------------
+# text macros
+#------------------------------------------------------------
+
+# -- Missing translation: _textabcol_
+
+# -- Missing translation: _textsubcols1_
+
+# -- Missing translation: _textsubcols2_
+
+# -- Missing translation: _titleabout_
+
+
+######################################################################
+# document package
+package document
+######################################################################
+
+
+#------------------------------------------------------------
+# text macros
+#------------------------------------------------------------
+
+# -- Missing translation: _texticonopenbookshelf_
+# -- Missing translation: _texticonclosedbookshelf_
+# -- Missing translation: _texticonopenbook_
+_texticonclosedfolder_ [l=mr] {à€¹à¥ à€«à¥à€²à¥à€¡à€° à€à€à€¡à€Ÿ à€à€£à€¿ à€€à¥à€¯à€Ÿà€€à¥à€² à€®à€Ÿà€¹à¥à€€à¥ à€ªà€¹à€Ÿ}  # Updated 13-Aug-2006
+# -- Missing translation: _texticonclosedfolder2_
+# -- Missing translation: _texticonopenfolder_
+# -- Missing translation: _texticonopenfolder2_
+# -- Missing translation: _texticonsmalltext_
+# -- Missing translation: _texticonsmalltext2_
+# -- Missing translation: _texticonpointer_
+# -- Missing translation: _texticondetach_
+# -- Missing translation: _texticonhighlight_
+# -- Missing translation: _texticonnohighlight_
+# -- Missing translation: _texticoncontracttoc_
+# -- Missing translation: _texticonexpandtoc_
+# -- Missing translation: _texticonexpandtext_
+# -- Missing translation: _texticoncontracttext_
+# -- Missing translation: _texticonwarning_
+# -- Missing translation: _texticoncont_
+
+# -- Missing translation: _textltwarning_
+
+# -- Missing translation: _textgoto_
+# -- Missing translation: _textintro_
+
+# -- Missing translation: _textCONTINUE_
+
+# -- Missing translation: _textEXPANDTEXT_
+
+# -- Missing translation: _textCONTRACTCONTENTS_
+
+# -- Missing translation: _textDETACH_
+
+# -- Missing translation: _textEXPANDCONTENTS_
+
+# -- Missing translation: _textCONTRACT_
+
+# -- Missing translation: _textHIGHLIGHT_
+
+# -- Missing translation: _textNOHIGHLIGHT_
+
+
+######################################################################
+# 'search' page
+package query
+######################################################################
+
+
+#------------------------------------------------------------
+# text macros
+#------------------------------------------------------------
+
+# this if statement produces the text 'results n1 - nn for query: querystring' or 
+# 'No matches for query: querystring', depending on whether or not there were
+# any matches
+# -- Missing translation: _textquerytitle_
+# -- Missing translation: _textnoquerytitle_
+
+# -- Missing translation: _textsome_
+# -- Missing translation: _textall_
+# -- Missing translation: _textboolean_
+# -- Missing translation: _textranked_
+# -- Missing translation: _textnatural_
+#_textsome_ {_If_(_cgiargb_,ranked,some)}
+#_textall_ {_If_(_cgiargb_,boolean,all)}
+#_textformsome_ {_If_(_cgiargb_,ranked,some)}
+#_textformall_ {_If_(_cgiargb_,natural,all)}
+# -- Missing translation: _texticonsearchhistorybar_
+
+# -- Missing translation: _textifeellucky_
+
+#alt text for query buttons
+# -- Missing translation: _textusequery_
+# -- Missing translation: _textfreqmsg1_
+# -- Missing translation: _textpostprocess_
+# -- Missing translation: _textinvalidquery_
+# -- Missing translation: _textstopwordsmsg_
+# -- Missing translation: _textlucenetoomanyclauses_
+
+# -- Missing translation: _textmorethan_
+# -- Missing translation: _textapprox_
+# -- Missing translation: _textnodocs_
+# -- Missing translation: _text1doc_
+# -- Missing translation: _textlotsdocs_
+# -- Missing translation: _textmatches_
+# -- Missing translation: _textbeginsearch_
+# -- Missing translation: _textrunquery_
+# -- Missing translation: _textclearform_
+
+#these go together in form search:
+#"Word or phrase  (fold, stem)  ... in field"
+# -- Missing translation: _textwordphrase_
+# -- Missing translation: _textinfield_
+# -- Missing translation: _textfoldstem_
+
+# -- Missing translation: _textadvquery_
+# -- Missing translation: _textallfields_
+# -- Missing translation: _texttextonly_
+# -- Missing translation: _textand_
+# -- Missing translation: _textor_
+# -- Missing translation: _textandnot_
+
+# _indexselection_, _jselection_, _nselection_ and _gselection_ are set from 
+# within the server - _indexselection_ is always set, but the others may be 
+# unset
+
+# -- Missing translation: _textsimplesearch_
+
+# -- Missing translation: _textadvancedsearch_
+
+# -- Missing translation: _textadvancedmgppsearch_
+
+# -- Missing translation: _textadvancedlucenesearch_
+
+# -- Missing translation: _textformsimplesearch_
+
+# -- Missing translation: _textformadvancedsearch_
+
+
+# -- Missing translation: _textnojsformwarning_
+_textdatesearch_ [l=mr] {à€¹à€Ÿ à€®à€Ÿà€¹à€¿à€€à¥à€žà€Ÿà€ à€Ÿ à€µà€¿à€¶à€¿à€·à¥à€  à€€à€Ÿà€°à€à¥ à€ªà€Ÿà€žà¥à€š à€µà€¿à€¶à€¿à€·à¥à€  à€€à€Ÿà€°à€à¥ à€ªà€°à¥à€¯à€à€€ à€¶à¥à€§à€€à€Ÿ à€¯à¥à€€à¥.  à€¹à€Ÿ à€¶à¥à€§ à€à€à¥à€à€¿à€ à€à€¹à¥.}  # Updated 13-Aug-2006
+# -- Missing translation: _textstartdate_
+# -- Missing translation: _textenddate_
+# -- Missing translation: _textbc_
+# -- Missing translation: _textad_
+# -- Missing translation: _textexplaineras_
+
+# -- Missing translation: _textstemon_
+
+# -- Missing translation: _textsearchhistory_
+
+#text macros for search history
+# -- Missing translation: _textnohistory_
+# -- Missing translation: _texthresult_
+# -- Missing translation: _texthresults_
+# -- Missing translation: _texthallwords_
+# -- Missing translation: _texthsomewords_
+# -- Missing translation: _texthboolean_
+# -- Missing translation: _texthranked_
+# -- Missing translation: _texthcaseon_
+# -- Missing translation: _texthcaseoff_
+# -- Missing translation: _texthstemon_
+# -- Missing translation: _texthstemoff_
+
+
+######################################################################
+# 'preferences' page
+package preferences
+######################################################################
+
+
+#------------------------------------------------------------
+# text macros
+#------------------------------------------------------------
+
+# -- Missing translation: _textprefschanged_
+# -- Missing translation: _textsetprefs_
+# -- Missing translation: _textsearchprefs_
+# -- Missing translation: _textcollectionprefs_
+# -- Missing translation: _textpresentationprefs_
+# -- Missing translation: _textpreferences_
+# -- Missing translation: _textcasediffs_
+# -- Missing translation: _textignorecase_
+# -- Missing translation: _textmatchcase_
+# -- Missing translation: _textwordends_
+# -- Missing translation: _textstem_
+# -- Missing translation: _textnostem_
+# -- Missing translation: _textprefop_
+# -- Missing translation: _textextlink_
+# -- Missing translation: _textintlink_
+# -- Missing translation: _textlanguage_
+# -- Missing translation: _textencoding_
+# -- Missing translation: _textformat_
+# -- Missing translation: _textall_
+# -- Missing translation: _textquerymode_
+# -- Missing translation: _textsimplemode_
+# -- Missing translation: _textadvancedmode_
+# -- Missing translation: _textlinkinterm_
+# -- Missing translation: _textlinkdirect_
+# -- Missing translation: _textdigitlib_
+# -- Missing translation: _textweb_
+# -- Missing translation: _textgraphical_
+# -- Missing translation: _texttextual_
+# -- Missing translation: _textcollectionoption_
+
+# -- Missing translation: _textrelateddocdisplay_
+# -- Missing translation: _textsearchhistory_
+# -- Missing translation: _textnohistory_
+# -- Missing translation: _texthistorydisplay_
+# -- Missing translation: _textnohistorydisplay_
+
+#_texttypesearch_ {Type of search:}
+#_texttextsearch_ {text search}
+# -- Missing translation: _textformsearch_
+# -- Missing translation: _textplainsearch_
+# -- Missing translation: _textqueryboxsize_
+# -- Missing translation: _textregbox_
+# -- Missing translation: _textbigbox_
+# -- Missing translation: _textformtype_
+# -- Missing translation: _textsimple_
+# -- Missing translation: _textadvanced_
+
+# used in "with 4 fields" in the form search box
+# -- Missing translation: _textwith_
+# -- Missing translation: _textfields_
+
+
+#####################################################################
+# 'browse' package for the dynamic browsing interface
+package browse
+#####################################################################
+
+# -- Missing translation: _textsortby_
+# -- Missing translation: _textalsoshowing_
+# -- Missing translation: _textwith_
+# -- Missing translation: _textdocsperpage_
+
+# -- Missing translation: _textfilterby_
+# -- Missing translation: _textall_
+# -- Missing translation: _textany_
+# -- Missing translation: _textwords_
+# -- Missing translation: _textleaveblank_
+
+# -- Missing translation: _browsebuttontext_
+
+# -- Missing translation: _nodata_
+# -- Missing translation: _docs_
+######################################################################
+# 'help' page -- this is lower priority for translating than the
+# rest of this file
+package help
+######################################################################
+
+
+#------------------------------------------------------------
+# text macros
+#------------------------------------------------------------
+
+# -- Missing translation: _textHelp_
+
+# Macros giving a brief help message for navigation bar access buttons
+# The arguments to this will be _textXXX_ and _labelXXX_, where XXX is the metadata name. For example, to print out the help message for a titles classifier, the library will use _textdefaulthelp_(_textTitle_,_labelTitle_)
+# To customize this for a specific metadata, add a macro named _textXXXhelp_ where XXX is the metadata name
+# -- Missing translation: _textdefaulthelp_
+
+# -- Missing translation: _textSearchhelp_
+# -- Missing translation: _textTohelp_
+# -- Missing translation: _textFromhelp_
+# -- Missing translation: _textBrowsehelp_
+# -- Missing translation: _textAcronymhelp_
+# -- Missing translation: _textPhrasehelp_
+
+# -- Missing translation: _texthelptopicstitle_
+
+# -- Missing translation: _textreadingdocs_
+
+# -- Missing translation: _texthelpreadingdocs_
+
+# help about the icons
+# -- Missing translation: _texthelpopenbookshelf_
+# -- Missing translation: _texthelpopenbook_
+# -- Missing translation: _texthelpviewtextsection_
+# -- Missing translation: _texthelpexpandtext_
+# -- Missing translation: _texthelpexpandcontents_
+# -- Missing translation: _texthelpdetachpage_
+# -- Missing translation: _texthelphighlight_
+# -- Missing translation: _texthelpsectionarrows_
+
+
+# -- Missing translation: _texthelpsearchingtitle_
+
+# -- Missing translation: _texthelpsearching_
+
+# -- Missing translation: _texthelpquerytermstitle_
+# -- Missing translation: _texthelpqueryterms_
+
+# -- Missing translation: _texthelpmgppsearching_
+
+# -- Missing translation: _texthelplucenesearching_
+
+# -- Missing translation: _texthelpquerytypetitle_
+# -- Missing translation: _texthelpquerytype_
+
+# -- Missing translation: _texthelpadvancedsearchtitle_
+
+# -- Missing translation: _texthelpadvancedsearch_
+
+# -- Missing translation: _texthelpadvsearchmg_
+
+# -- Missing translation: _texthelpbooleansearch_
+
+# -- Missing translation: _texthelpadvsearchmgpp_
+
+# -- Missing translation: _texthelpadvsearchlucene_
+# -- Missing translation: _textdatesearch_
+
+# -- Missing translation: _texthelpdatesearch_
+
+# -- Missing translation: _texthelpdatehowtotitle_
+# -- Missing translation: _texthelpdatehowto_
+
+# -- Missing translation: _texthelpdateresultstitle_
+# -- Missing translation: _texthelpdateresults_
+
+# -- Missing translation: _textchangeprefs_
+
+# -- Missing translation: _texthelppreferences_
+
+# -- Missing translation: _texthelpcollectionprefstitle_
+# -- Missing translation: _texthelpcollectionprefs_
+
+# -- Missing translation: _texthelplanguageprefstitle_
+# -- Missing translation: _texthelplanguageprefs_
+
+# -- Missing translation: _texthelppresentationprefstitle_
+# -- Missing translation: _texthelppresentationprefs_
+
+# -- Missing translation: _texthelpsearchprefstitle_
+# -- Missing translation: _texthelpsearchprefs_
+
+# -- Missing translation: _texttanumbrowseoptions_
+
+# -- Missing translation: _textsimplehelpheading_
+
+# -- Missing translation: _texthelpscopetitle_
+# -- Missing translation: _texthelpscope_