Index: trunk/gsdl/macros/query.dm
===================================================================
--- trunk/gsdl/macros/query.dm	(revision 12556)
+++ trunk/gsdl/macros/query.dm	(revision 12557)
@@ -44,7 +44,7 @@
 # _iconnext_ and _iconprev_ are overridden in this package as we
 # don't want alt text here
-_iconnext_{<img src="_httpiconmore_" width=_widthmore_ height=_heightmore_ border=0 align=top>}
+_iconnext_{<img src="_httpiconmore_" width="_widthmore_" height="_heightmore_" border="0" align="top">}
 _iconnext_ [v=1] {}
-_iconprev_{<img src="_httpiconless_" width=_widthless_ height=_heightless_ border=0 align=top>}
+_iconprev_{<img src="_httpiconless_" width="_widthless_" height="_heightless_" border="0" align="top">}
 _iconprev_ [v=1] {}
 
@@ -64,5 +64,5 @@
 #the buttons for the search history entries
 # takes one arg - the entry number (0-num entries)
-_imagehistbutton_ {<a  href="_httpquery_" onMouseover="roll('histbutton_1_',1);" onMouseOut="roll('histbutton_1_',0);" onClick="inputQuery(histvalue_1_); return false;"><img name="histbutton_1_" src="_httpiconmstdsqrof_" onLoad="gbutton(this,'_httpiconmstdsqron_');" border=0 alt="_textusequery_" title="_textusequery_"></a>}
+_imagehistbutton_ {<a  href="_httpquery_" onMouseover="roll('histbutton_1_',1);" onMouseOut="roll('histbutton_1_',0);" onClick="inputQuery(histvalue_1_); return false;"><img name="histbutton_1_" src="_httpiconmstdsqrof_" onLoad="gbutton(this,'_httpiconmstdsqron_');" border="0" alt="_textusequery_" title="_textusequery_"></a>}
 
 
@@ -565,10 +565,10 @@
 _queryform_ {
 <!-- query form (\_query:plainqueryform\_) -->
-<form name=QueryForm method=get action="_gwcgi_">
+<form name="QueryForm" method="get" action="_gwcgi_">
 <p>
-<input type=hidden name="a" value="q">
-<input type=hidden name="r" value="1">
-<input type=hidden name="hs" value="1">
-<input type=hidden name="e" value="_decodedcompressedoptions_">
+<input type="hidden" name="a" value="q">
+<input type="hidden" name="r" value="1">
+<input type="hidden" name="hs" value="1">
+<input type="hidden" name="e" value="_decodedcompressedoptions_">
 _queryformcontent_
 _optdatesearch_
@@ -578,5 +578,5 @@
 }
 
-_ifeellucky_ { <br><input type=checkbox name="ifl">_textifeellucky_ }
+_ifeellucky_ { <br><input type="checkbox" name="ifl">_textifeellucky_ }
 _useifeellucky_ { }  # Set this to _ifeellucky_ if you want this functionality available
 
@@ -601,14 +601,14 @@
 	<center>
 _textstartdate_
-<input type="text" name="ds" value = "_cgiargds_" size="4" maxlength="4">
+<input type="text" name="ds" value="_cgiargds_" size="4" maxlength="4">
 <select name="dsbc" value="_cgiargdsbc_" size="1">
-	<option value = "0"_If_(_cgiargdsbc_,, selected)>_textad_
-	<option value = "1"_If_(_cgiargdsbc_, selected)>_textbc_
+	<option value="0"_If_(_cgiargdsbc_,, selected)>_textad_
+	<option value="1"_If_(_cgiargdsbc_, selected)>_textbc_
 </select> 
 _textenddate_
-<input type="text" name="de" value = "_cgiargde_" size="4" maxlength="4"> 
+<input type="text" name="de" value="_cgiargde_" size="4" maxlength="4"> 
 <select name="debc" size="1">
-	<option value = "0" _If_(_cgiargdebc_,, selected)>_textad_
-	<option value = "1" _If_(_cgiargdebc_, selected)>_textbc_
+	<option value="0" _If_(_cgiargdebc_,, selected)>_textad_
+	<option value="1" _If_(_cgiargdebc_, selected)>_textbc_
 </select> 
 </center>	  
@@ -621,12 +621,11 @@
 }
 
-_smallquerybox_ {<tr><td><nobr><input type="text" name="q" value="_cgiargq_" size="50">
-<input type="submit" value="_textbeginsearch_"></nobr>}
+_smallquerybox_ {<input type="text" name="q" value="_cgiargq_" size="50">&nbsp;<input type="submit" value="_textbeginsearch_">}
 
 _largequerybox_ {
-<tr><td><textarea name="q" cols=63 rows=10>
+<tr><td><textarea name="q" cols="63" rows="10">
 _cgiargq_
 </textarea></td></tr>
-<tr align=right><td><table>
+<tr align="right"><td><table>
 <tr><td><input type="submit" value="_textbeginsearch_"></td>
 </tr></table></td></tr>}
@@ -638,5 +637,5 @@
 </noscript>
 <!-- field query form (\_query:fieldqueryform\_) -->
-<form name=QueryForm method=get action="_gwcgi_">
+<form name="QueryForm" method="get" action="_gwcgi_">
 
 <table><tr><td>
@@ -655,10 +654,10 @@
 
 _advancedforms_{
-<tr><td><center> <table border=0 cellspacing=0 cellpadding=0 width="90%">
-<tr><th></th><th align=left>_textwordphrase_</th><th colspan=2><nobr>_textfoldstem_</nobr></th><th align=center>&nbsp;&nbsp;_textinfield_</th></tr>	
+<tr><td><center> <table border="0" cellspacing="0" cellpadding="0" width="90%">
+<tr><th></th><th align="left">_textwordphrase_</th><th colspan="2"><nobr>_textfoldstem_</nobr></th><th align="center">&nbsp;&nbsp;_textinfield_</th></tr>	
 _advformlist_
-<tr><td colspan=2><input type=button value="_textclearform_" onClick="clearForm();"></td>
-<td colspan=3><table>
-<tr><td><input type=button value="_textbeginsearch_" onClick="beginSearch();"></td>
+<tr><td colspan="2"><input type="button" value="_textclearform_" onClick="clearForm();"></td>
+<td colspan="3"><table>
+<tr><td><input type="button" value="_textbeginsearch_" onClick="beginSearch();"></td>
 </tr></table></td></tr>
 </table></td></tr>
@@ -668,6 +667,6 @@
 <table>
 <tr><td>_textadvquery_</td></tr>
-<tr><td><textarea name=q cols=57 rows=3 onChange="updateq();">_cgiargq_</textarea></td>
-<td valign=bottom>
+<tr><td><textarea name="q" cols="57" rows="3" onChange="updateq();">_cgiargq_</textarea></td>
+<td valign="bottom">
 <input type="button" value="_textrunquery_" onClick="runQuery();"></td></tr>
 </table>
@@ -675,10 +674,10 @@
 
 _simpleforms_{
-<tr><td><center> <table border=0 cellspacing=0 cellpadding=0 width="90%">
-<tr><th align=left>_textwordphrase_</th><th align=left>&nbsp;&nbsp;_textinfield_</th></tr>	
+<tr><td><center> <table border="0" cellspacing="0" cellpadding="0" width="90%">
+<tr><th align="left">_textwordphrase_</th><th align="left">&nbsp;&nbsp;_textinfield_</th></tr>	
 _regformlist_
-<tr><td><input type=button value="_textclearform_" onClick="clearForm();"></td>
+<tr><td><input type="button" value="_textclearform_" onClick="clearForm();"></td>
 <td><table>
-<tr><td><input type=button value="_textbeginsearch_" onClick="beginSearch();"></td>
+<tr><td><input type="button" value="_textbeginsearch_" onClick="beginSearch();"></td>
 </tr>
 </table></td></tr>
@@ -686,20 +685,20 @@
 
 _regformelement_{
-<td><input type=text size=39 name="fqv" onChange="updatefqv();" onkeypress="updatefqv(); entersubmit(event);"></td>
+<td><input type="text" size="39" name="fqv" onChange="updatefqv();" onkeypress="updatefqv(); entersubmit(event);"></td>
 <td>_fqfselection_</td>}
 
 #has no and/or/not selection box
 _firstadvformelement_{
-<td></td><td><input type=text size=31 name="fqv" onChange="updatefqv();" onkeypress="updatefqv(); entersubmit(event);"></td>
-<td align=center><input type=checkbox name="fqk" onClick="updatefqk();"></td>
-<td align-center><input type=checkbox name="fqs" onClick="updatefqs();"></td>
-<td align=right>_fqfselection_</td>}
+<td></td><td><input type="text" size="31" name="fqv" onChange="updatefqv();" onkeypress="updatefqv(); entersubmit(event);"></td>
+<td align="center"><input type="checkbox" name="fqk" onClick="updatefqk();"></td>
+<td align="center"><input type="checkbox" name="fqs" onClick="updatefqs();"></td>
+<td align="right">_fqfselection_</td>}
 
 _advformelement_{
 <td>_fqcselection_</td>
-<td><input type=text size=31 name="fqv" onChange="updatefqv();" onkeypress="updatefqv(); entersubmit(event);"></td>
-<td align=center><input type=checkbox name="fqk" onClick="updatefqk();"></td>
-<td align-center><input type=checkbox name="fqs" onClick="updatefqs();"></td>
-<td align=right>_fqfselection_</td>}
+<td><input type="text" size="31" name="fqv" onChange="updatefqv();" onkeypress="updatefqv(); entersubmit(event);"></td>
+<td align="center"><input type="checkbox" name="fqk" onClick="updatefqk();"></td>
+<td align="center"><input type="checkbox" name="fqs" onClick="updatefqs();"></td>
+<td align="right">_fqfselection_</td>}
 
 _fqcselection_ {
@@ -720,8 +719,8 @@
 _pagefooterextra_ {
 <center>
-<table cellspacing=0 cellpadding=0 width="_pagewidth_">
+<table cellspacing="0" cellpadding="0" width="_pagewidth_">
 <tr>
-<td align=left>_If_(_prevfirst_,<a href="_httpquery_&r=_prevfirst_">_iconprev__textmatches__prevfirst_ - _prevlast_</a>)</td>
-<td align=right>_If_(_nextfirst_,<a href="_httpquery_&r=_nextfirst_">_textmatches__nextfirst_ - _nextlast__iconnext_</a>)</td>
+<td align="left">_If_(_prevfirst_,<a href="_httpquery_&r=_prevfirst_">_iconprev__textmatches__prevfirst_ - _prevlast_</a>)</td>
+<td align="right">_If_(_nextfirst_,<a href="_httpquery_&r=_nextfirst_">_textmatches__nextfirst_ - _nextlast__iconnext_</a>)</td>
 </tr></table>
 </center>