Index: /trunk/gli/classes/dictionary.properties
===================================================================
--- /trunk/gli/classes/dictionary.properties	(revision 12559)
+++ /trunk/gli/classes/dictionary.properties	(revision 12560)
@@ -19,5 +19,5 @@
 AboutDialog.Title_One:Greenstone Librarian Interface
 AboutDialog.Title_Two:Greenstone Digital Library, University of Waikato
-AboutDialog.Copyright:Copyright (C) 2006 New Zealand Digital Library Project
+AboutDialog.Copyright:Copyright (C) 2003 New Zealand Digital Library Project
 AboutDialog.Copyright_Two:Published under the GPL. See LICENSE.txt for details.
 #***********************
@@ -815,4 +815,6 @@
 MetadataSetDialog.Add:Add...
 MetadataSetDialog.Add_Tooltip:Add a new metadata set to the collection
+MetadataSetDialog.New_Set:New...
+MetadataSetDialog.New_Set_Tooltip:Create a new metadata set
 MetadataSetDialog.Add_Set:Add
 MetadataSetDialog.Add_Set_Tooltip:Add the selected metadata set to the collection
@@ -1086,76 +1088,45 @@
 Workflow.DocumentEnriching:Document enriching
 
-GEMS.Already_Loaded_Set_Error: The metadata set you selected is currently open.
-GEMS.Element_Already_Exists:An element with this name already exists.
-GEMS.Set_Already_Exists:A set with this namespace already exists.
-GEMS.Cannot_Delete_Core_Sets_Error:You cannot remove a core GLI metadata set.
-
-GEMS.Preferences.Selected_Languages_Tooltip: Selected languages to display:
-
-GEMS.Add_Attribute:Add attribute
-GEMS.Add_Attribute_Tooltip:Add a new attribute to the selected item
-GEMS.Add_Element:Add element
-GEMS.Add_Element_Tooltip:Add a new element to the selected set
-GEMS.Add_Subelement:Add subelement
-GEMS.Add_Subelement_Tooltip:Add a new subelement to the selected element
-GEMS.Add_Set:Add Set
-GEMS.Attribute:Attribute
-GEMS.Attribute_Already_Exists:This attribute already exists.
-GEMS.Attribute_Name_Tooltip:The name of the new attribute
-GEMS.Attribute_Language_Tooltip:The language of the new attribute
-GEMS.Attribute_Value_Tooltip:The value of the new attribute
-GEMS.Attributes:Attributes
-GEMS.Cannot_Undo:(this action cannot be undone)
-GEMS.Cannot_Add_Elements_To_Greenstone_MDS:You cannot manually add elements to the Greenstone Metadata. If\nnecessary create a new set, then add your new element to it instead.
-GEMS.Confirm_Exit_Save: Would you like to save before exiting?
-GEMS.Confirm_Exit_Save_Title: Save Before Exit?
-GEMS.Confirm_Removal:Are you sure you wish to remove this {0}?
-GEMS.Confirm_Removal_Title:Confirm Removal
-GEMS.Edit_Attribute:Edit Attribute
-GEMS.Edit_Value:Edit Value
-GEMS.Edit_Value_Tooltip:Change the selected value
-GEMS.Element:Element
-GEMS.Element_Name_Tooltip:The name of the new element
-GEMS.Element_Details:Metadata Element Details
-GEMS.Language:Language
-GEMS.Language_Code:Language
-GEMS.Name:Name
-GEMS.Namespace:Namespace
-GEMS.New_Name:New Name
-GEMS.No_Description:No description found.
-GEMS.No_Name:No name found.
-GEMS.Open_Set:Open Set
-GEMS.Remove_Attribute:Remove attribute
-GEMS.Remove_Attribute_Tooltip:Remove the selected attribute
-GEMS.Remove_Element:Remove element
-GEMS.Remove_Element_Tooltip:Remove the selected element from the set
-GEMS.Remove_Set:Remove set
-GEMS.Remove_Set_Tooltip:Remove the selected set
-GEMS.Rename_Element:Rename element
-GEMS.Rename_Element_Tooltip:The element's new name
-GEMS.Rename_Name_Tooltip:The metadata set's new name
-GEMS.Rename_Namespace_Tooltip:The metadata set's unique namespace
-GEMS.Rename_Set:Rename set
-GEMS.Rename_Set_Tooltip:Rename the metadata set
-GEMS.Set:Set
-GEMS.Set_Details:Metadata Set Details
-GEMS.Set_Name_Tooltip:The name of the new metadata set
-GEMS.Set_Namespace_Tooltip:A unique namespace for the new metadata set
-GEMS.Subelement_Name_Tooltip:The name of the new subelement
-GEMS.Subelement_Already_Exists:A subelement with this name already exists.
-GEMS.Target:Element
+
+#********GEMS******
 GEMS.Title:Greenstone Editor for Metadata Sets
-GEMS.Value:Value
-GEMS.Values:Values
-GEMS.inheritMetadataSet:Inherit from Metadataset:
-GEMS.Add_Set.No_Inherit:Do not inherit
-
-GEMS.OpenMetadataSetPrompt.Title:Open MetedataSet
-GEMS.OpenMetadataSetPrompt.Open_Tooltip:Open the selected MetadataSet
+GEMS.OpenMetadataSetPrompt.Title:Open Metedata Set
+GEMS.OpenMetadataSetPrompt.Open_Tooltip:Open the selected metadata set
+GEMS.Set_Description:Metadata set description
 GEMS.OpenMetadataSetPrompt.Open:Open
-GEMS.OpenMetadataSetPrompt.Available_Sets:Available MetadataSets
-GEMS.DeleteMetadataSetPrompt.Title:Detelet MetedataSet
-GEMS.DeleteMetadataSetPrompt.Delete_Tooltip:Delete the selected MetadataSet
+GEMS.OpenMetadataSetPrompt.Available_Sets:Available metadata sets
+GEMS.DeleteMetadataSetPrompt.Title:Delete Metedata Set
+GEMS.DeleteMetadataSetPrompt.Delete_Tooltip:Delete the selected metadata set
 GEMS.DeleteMetadataSetPrompt.Delete:Delete
-GEMS.DeleteMetadataSetPrompt.Available_Sets:Available MetadataSets
+GEMS.DeleteMetadataSetPrompt.Available_Sets:Available metadata sets
 GEMS.DeleteMetadataSetPrompt.Confirm_Delete:Please tick the box to confirm metadataSet deletion.
+
+GEMS.Popup.AddAttribute:Add Attribute
+GEMS.Popup.DeleteAttribute:Delete  Attribute
+GEMS.Popup.AddElement:Add Element
+GEMS.Popup.DeleteElement:Delete  Element
+
+GEMS.NewMetadataSetPrompt.Title:New Metedata Set
+GEMS.NewMetadataSetPrompt.Instructions:To create a new metadata set fill out the fields below:
+GEMS.NewMetadataSetPrompt.Base_MetadataSet:Base this metadata set on:
+GEMS.NewMetadataSetPrompt.Metadata_Title:Metadata set title:
+GEMS.NewMetadataSetPrompt.Metadata_Namespace:Metadata set namespace:
+GEMS.NewMetadataSetPrompt.New_Metadata:-- New Metadata Set --
+GEMS.NewMetadataSetPrompt.Title_Error_MESSAGE:the title field must be filled out. please correct.
+GEMS.NewMetadataSetPrompt.Title_Error:Title Error
+GEMS.NewMetadataSetPrompt.Namespace_Error_Message:the namespace field must be filled out. please correct.
+GEMS.NewMetadataSetPrompt.Namespace_Error:Namespace Error
+GEMS.SelecedLanguage:Selected a language to add:
+GEMS.LanguageDependent:Language dependent attributes
+GEMS.Attribute_Deletion_Error:Attribute Deletion Error
+GEMS.Attribute_Deletion_Error_Message:This attribute is required and cannot be deleted
+GEMS.Add_Lang_Depend_Attr_Error:Attribute Addition Error
+GEMS.Add_Lang_Depend_Attr_Error_Message:No "language-dependent" attribute is provided, please add this attribute in the table above
+GEMS.Attribute_Edition_Error:Attribute Edition Error
+GEMS.Attribute_Edition_Error_Message:This attribute is required and cannot be empty
+GEMS.Confirm_Save:This metadata set has been changed, would you like to save it?
+GEMS.Confirm_Save_Title:Save Metadata Set
+GEMS.File_Deletion_Error_Message:This file cannot be deleted
+GEMS.File_Deletion_Error:File Deletion Error
+GEMS.Namespace_Conflict_Message:Warning:this namespace has been used by other metadata sets
+GEMS.Namespace_Conflict:Namespace Conflict