Index: trunk/gsdl/perllib/strings.properties
===================================================================
--- trunk/gsdl/perllib/strings.properties	(revision 12630)
+++ trunk/gsdl/perllib/strings.properties	(revision 12639)
@@ -124,5 +124,5 @@
 # -- classinfo.pl --
 
-classinfo.collect:Giving a collection name will make classinfo.pl look in collect/collection-name/perllib/classify first. If the classifier is not found there it will look in the general perllib/classify directory.
+classinfo.collection:Giving a collection name will make classinfo.pl look in collect/collection-name/perllib/classify first. If the classifier is not found there it will look in the general perllib/classify directory.
 
 classinfo.desc:Prints information about a classifier.
@@ -157,5 +157,5 @@
 
 downloadinfo.desc:Prints information about a download module
-downloadinfo.collect:Giving a collection name will make downloadinfo.pl look in collect/collection-name/perllib/downloaders first. If the module is not found there it will look in the general perllib/downloaders directory.
+downloadinfo.collection:Giving a collection name will make downloadinfo.pl look in collect/collection-name/perllib/downloaders first. If the module is not found there it will look in the general perllib/downloaders directory.
 downloadinfo.params:[options] [download-module]
 downloadinfo.general_options:General options are inherited from parent classes of the download modules.
@@ -384,5 +384,5 @@
 # -- pluginfo.pl --
 
-pluginfo.collect:Giving a collection name will make pluginfo.pl look in collect/collection-name/perllib/plugins first. If the plugin is not found there it will look in the general perllib/plugins directory.
+pluginfo.collection:Giving a collection name will make pluginfo.pl look in collect/collection-name/perllib/plugins first. If the plugin is not found there it will look in the general perllib/plugins directory.
 
 pluginfo.desc:Prints information about a plugin.
@@ -405,5 +405,5 @@
 # -- plugoutinfo.pl --
 
-plugoutinfo.collect:Giving a collection name will make plugoutinfo.pl look in collect/collection-name/perllib/plugouts first. If the plugout is not found there it will look in the general perllib/plugouts directory.
+plugoutinfo.collection:Giving a collection name will make plugoutinfo.pl look in collect/collection-name/perllib/plugouts first. If the plugout is not found there it will look in the general perllib/plugouts directory.
 
 plugoutinfo.desc:Prints information about a plugout.
Index: trunk/gsdl/perllib/strings_es.properties
===================================================================
--- trunk/gsdl/perllib/strings_es.properties	(revision 12630)
+++ trunk/gsdl/perllib/strings_es.properties	(revision 12639)
@@ -123,5 +123,5 @@
 # -- classinfo.pl --
 
-classinfo.collect:Dar un nombre de la colecciÃ³n harÃ¡n que classinfo.pl aparezca primero clasifique en el collect/collection-name/perllib/classify. Si el clasificador no se encuentra allÃ­ buscarÃ¡ en el directorio general perllib/classify.
+classinfo.collection:Dar un nombre de la colecciÃ³n harÃ¡n que classinfo.pl aparezca primero clasifique en el collect/collection-name/perllib/classify. Si el clasificador no se encuentra allÃ­ buscarÃ¡ en el directorio general perllib/classify.
 
 classinfo.desc:Imprime la informaciÃ³n de las impresiones sobre un clasificador.
@@ -156,5 +156,5 @@
 
 downloadinfo.desc:Ofrece informaciÃ³n sobre el mÃ³dulo de descarga  # Updated 17-Aug-2006
-downloadinfo.collect:Dar un nombre de colecciÃ³n harÃ¡ que downloadinfo.pl busque en collect/collection-name/perllib/downloaders primero. Si no encuentra el mÃ³dulo aquÃ­, buscarÃ¡ en el directorio general perllib/downloaders  # Updated 17-Aug-2006
+downloadinfo.collection:Dar un nombre de colecciÃ³n harÃ¡ que downloadinfo.pl busque en collect/collection-name/perllib/downloaders primero. Si no encuentra el mÃ³dulo aquÃ­, buscarÃ¡ en el directorio general perllib/downloaders  # Updated 17-Aug-2006
 downloadinfo.params:[opciones] [mÃ³dulo de descarga]  # Updated 17-Aug-2006
 downloadinfo.general_options:Las opciones generale se heredan de las clases padre de los mÃ³dulos de descarga.  # Updated 17-Aug-2006
@@ -382,5 +382,5 @@
 # -- pluginfo.pl --
 
-pluginfo.collect:Al dar un nombre a la colecciÃ³n realizarÃ¡ que un pluginfo.pl revise primero en el collect/collection-name/perllib/plugins. Si el plugin general no se encuentra allÃ­ que aparecerÃ¡ en el directorio del perllib/plugins.
+pluginfo.collection:Al dar un nombre a la colecciÃ³n realizarÃ¡ que un pluginfo.pl revise primero en el collect/collection-name/perllib/plugins. Si el plugin general no se encuentra allÃ­ que aparecerÃ¡ en el directorio del perllib/plugins.
 
 pluginfo.desc:Imprime informaciÃ³n sobre un plugin.
@@ -403,5 +403,5 @@
 # -- plugoutinfo.pl --
 
-plugoutinfo.collect:Dando un nombre de colecciÃ³n harÃ¡ que plugoutinfo.pl busque primero en collect/collection-name/perllib/plugouts. Si la salida no se encuentra allÃ­, buscarÃ¡ en el directorio general perllib/plugouts  # Updated 17-Aug-2006
+plugoutinfo.collection:Dando un nombre de colecciÃ³n harÃ¡ que plugoutinfo.pl busque primero en collect/collection-name/perllib/plugouts. Si la salida no se encuentra allÃ­, buscarÃ¡ en el directorio general perllib/plugouts  # Updated 17-Aug-2006
 
 plugoutinfo.desc:Muestra informaciÃ³n sobre la salida.  # Updated 17-Aug-2006
Index: trunk/gsdl/perllib/strings_fr.properties
===================================================================
--- trunk/gsdl/perllib/strings_fr.properties	(revision 12630)
+++ trunk/gsdl/perllib/strings_fr.properties	(revision 12639)
@@ -121,5 +121,5 @@
 # -- classinfo.pl --
 
-classinfo.collect:En donnant un nom Ã  la collection fera que classinfo.pl va regarder d'abord dans collect/nom-de-collection/perlib/classify. Si le classificateur n'est pas trouvÃ©, il va alors chercher dans le rÃ©pertoire gÃ©nÃ©ral perlib/classify.
+classinfo.collection:En donnant un nom Ã  la collection fera que classinfo.pl va regarder d'abord dans collect/nom-de-collection/perlib/classify. Si le classificateur n'est pas trouvÃ©, il va alors chercher dans le rÃ©pertoire gÃ©nÃ©ral perlib/classify.
 
 classinfo.desc:Impime l'information sur un classificateur.
@@ -352,5 +352,5 @@
 # -- pluginfo.pl --
 
-pluginfo.collect:L'attribution d'un nom de colection fera que pluginfo.pl va rechercher d'abord dans collect/nom_de_collection/perllib/plugins. Si le plugin n'y est pas trouvÃ© il va alors chercher dans le rÃ©pertoire gÃ©nÃ©ral de logiciels/perlib.
+pluginfo.collection:L'attribution d'un nom de colection fera que pluginfo.pl va rechercher d'abord dans collect/nom_de_collection/perllib/plugins. Si le plugin n'y est pas trouvÃ© il va alors chercher dans le rÃ©pertoire gÃ©nÃ©ral de logiciels/perlib.
 
 pluginfo.desc:Imprime l'information concernant un plugin.
Index: trunk/gsdl/perllib/strings_ru.properties
===================================================================
--- trunk/gsdl/perllib/strings_ru.properties	(revision 12630)
+++ trunk/gsdl/perllib/strings_ru.properties	(revision 12639)
@@ -135,5 +135,5 @@
 # -- classinfo.pl --
 
-classinfo.collect:ÐÑÐž Ð¿ÑÐµÐŽÐŸÑÑÐ°Ð²Ð»ÐµÐœÐžÐž ÐžÐŒÐµÐœÐž ÐºÐŸÐ»Ð»ÐµÐºÑÐžÐž ÐœÐ°ÐŽÐŸ Ð±ÑÐŽÐµÑ Ð¿ÑÐµÐ¶ÐŽÐµ Ð²ÑÐµÐ³ÐŸ Ð¿ÑÐŸÑÐŒÐŸÑÑÐµÑÑ classinfo.pl Ð² collect/collection-name/perllib/classify. ÐÑÐ»Ðž ÐºÐ»Ð°ÑÑÐžÑÐžÐºÐ°ÑÐŸÑ ÑÐ°ÐŒ ÐœÐµ ÐœÐ°Ð¹ÐŽÐµÐœ, ÐœÐµÐŸÐ±Ñ
+classinfo.collection:ÐÑÐž Ð¿ÑÐµÐŽÐŸÑÑÐ°Ð²Ð»ÐµÐœÐžÐž ÐžÐŒÐµÐœÐž ÐºÐŸÐ»Ð»ÐµÐºÑÐžÐž ÐœÐ°ÐŽÐŸ Ð±ÑÐŽÐµÑ Ð¿ÑÐµÐ¶ÐŽÐµ Ð²ÑÐµÐ³ÐŸ Ð¿ÑÐŸÑÐŒÐŸÑÑÐµÑÑ classinfo.pl Ð² collect/collection-name/perllib/classify. ÐÑÐ»Ðž ÐºÐ»Ð°ÑÑÐžÑÐžÐºÐ°ÑÐŸÑ ÑÐ°ÐŒ ÐœÐµ ÐœÐ°Ð¹ÐŽÐµÐœ, ÐœÐµÐŸÐ±Ñ
 ÐŸÐŽÐžÐŒÐŸ Ð±ÑÐŽÐµÑ Ð¿ÑÐŸÑÐŒÐŸÑÑÐµÑÑ ÐŸÐ±ÑÑÑ ÐŽÐžÑÐµÐºÑÐŸÑÐžÑ perllib/classify.
 
@@ -416,5 +416,5 @@
 # -- pluginfo.pl --
 
-pluginfo.collect:ÐÑÐµÐŽÐŸÑÑÐ°Ð²Ð»ÐµÐœÐžÐµ ÐžÐŒÐµÐœÐž ÐºÐŸÐ»Ð»ÐµÐºÑÐžÐž Ð±ÑÐŽÐµÑ Ð²ÑÐ¿ÐŸÐ»ÐœÐµÐœÐŸ Ð¿ÑÐž Ð¿ÑÐŸÑÐŒÐŸÑÑÐµ Ð¿Ð»Ð°Ð³ÐžÐœÐŸÐ² Ð¿ÑÐµÐ¶ÐŽÐµ Ð²ÑÐµÐ³ÐŸ  Ð² collect/collection-name/perllib/plugins.  ÐÑÐ»Ðž Ð¿Ð»Ð°Ð³ÐžÐœ ÑÐ°ÐŒ ÐœÐµ ÐœÐ°Ð¹ÐŽÐµÐœ, ÑÐŸ ÐœÐ°ÐŽÐŸ Ð±ÑÐŽÐµÑ Ð¿ÑÐŸÑÐŒÐŸÑÑÐµÑÑ Ð² ÐŸÐ±ÑÐµÐ¹ ÐŽÐžÑÐµÐºÑÐŸÑÐžÐž perllib/plugins.
+pluginfo.collection:ÐÑÐµÐŽÐŸÑÑÐ°Ð²Ð»ÐµÐœÐžÐµ ÐžÐŒÐµÐœÐž ÐºÐŸÐ»Ð»ÐµÐºÑÐžÐž Ð±ÑÐŽÐµÑ Ð²ÑÐ¿ÐŸÐ»ÐœÐµÐœÐŸ Ð¿ÑÐž Ð¿ÑÐŸÑÐŒÐŸÑÑÐµ Ð¿Ð»Ð°Ð³ÐžÐœÐŸÐ² Ð¿ÑÐµÐ¶ÐŽÐµ Ð²ÑÐµÐ³ÐŸ  Ð² collect/collection-name/perllib/plugins.  ÐÑÐ»Ðž Ð¿Ð»Ð°Ð³ÐžÐœ ÑÐ°ÐŒ ÐœÐµ ÐœÐ°Ð¹ÐŽÐµÐœ, ÑÐŸ ÐœÐ°ÐŽÐŸ Ð±ÑÐŽÐµÑ Ð¿ÑÐŸÑÐŒÐŸÑÑÐµÑÑ Ð² ÐŸÐ±ÑÐµÐ¹ ÐŽÐžÑÐµÐºÑÐŸÑÐžÐž perllib/plugins.
 
 pluginfo.desc:ÐÐ°Ð¿ÐžÑÐ°ÑÑ ÐžÐœÑÐŸÑÐŒÐ°ÑÐžÑ ÐŸ Ð¿Ð»Ð°Ð³ÐžÐœÐ°Ñ