Index: trunk/gli/help/en/formatstatements.htm
===================================================================
--- trunk/gli/help/en/formatstatements.htm	(revision 11597)
+++ trunk/gli/help/en/formatstatements.htm	(revision 12723)
@@ -5,19 +5,23 @@
 </head>
 <body bgcolor="#E0F0E0">
-<table border="2" bgcolor="#B0D0B0" cellpadding="5" cellspacing="0" width="100%">
+<table width="100%" cellspacing="0" cellpadding="5" bgcolor="#B0D0B0" border="2">
 <tr>
-<td align="center" width="15%"><img height="45" src="../gatherer_medium.gif" width="45"></td><td align="center" width="*"><a name="formatstatements"><font face="Verdana" size="5"><strong>6.9: Format Features</strong></font></a></td><td align="center" width="15%"><img height="45" src="../gatherer_medium.gif" width="45"></td>
+<td width="15%" align="center"><img width="45" src="../gatherer_medium.gif" height="45"></td><td width="*" align="center"><a name="formatstatements"><font size="5" face="Verdana"><strong>8.4: Format Features</strong></font></a></td><td width="15%" align="center"><img width="45" src="../gatherer_medium.gif" height="45"></td>
 </tr>
 </table>
 
-<p>The web pages you see when using Greenstone are not pre-stored but are generated 'on the fly' as they are needed. Format commands are used to change the appearance of these generated pages. They affect such things as where buttons appear when a document is shown, and what links are displayed by the DateList classifier.  Format commands are not easy to develop, and you should read Chapter 2 of the Greenstone Developer's Guide. This section discusses the format settings, and how the Librarian Interface gives access to them.  Under "Design Sections", click "Format Features".</p>
-<p>You can apply a format command to anything in the "Choose Feature" pull-down list, which includes each classifier and a predefined list of features.  When you select a feature, there are two types of control.  Some features are simply enabled or disabled, and this is controlled by a checkbox.  Others require a format string to be specified.  For these there is a pull-down list ("Affected Component") for selecting which part of the feature the string applies to (if necessary), a text area ("HTML Format String") for entering the string, and a selection of predefined "Variables".  To insert a variable into the current position in the format string, select it from the pull-down list and click "Insert".</p>
-<p>You can specify a default format for a particular component by selecting the blank feature.  This format is then applied to all applicable features unless
-otherwise specified.</p>
-<p>To add a new format command, fill out the information as explained above and click "Add Format".  The new format command appears in the list of "Currently Assigned Format Commands".  Only one format command can be assigned to each feature/component combination.</p>
+
+<p>The web pages you see when using Greenstone are not pre-stored but are generated 'on the fly' as they are needed. Format commands are used to change the appearance of these generated pages. They affect such things as which buttons appear when a document is shown, and what links are displayed by the DateList classifier.  Format commands are not easy to develop, and you should read Chapter 2 of the Greenstone Developer's Guide. This section discusses the format settings, and how the Librarian Interface gives access to them.  Under the "Format" tab, click "Format Features".</p>
+
+<p>You can apply a format command to anything in the "Choose Feature" pull-down list, which includes each classifier and a predefined list of features.  When you select a feature, there are two types of control.  Some features are simply enabled or disabled, and this is controlled by a checkbox.  Others require a format string to be specified.  For these there is a pull-down list ("Affected Component") for selecting which part of the feature the string applies to (if necessary), a text area ("HTML Format String") for entering the string, and a selection of predefined "Variables".  To insert a variable into a format string, position the cursor at the place to insert, then select the desired variable from the "Insert Variable..." combobox.</p>
+
+<p>You can specify a default format for a particular component by selecting the "All Features" feature.  This format is then applied to all applicable features unless a more specific one is defined.</p>
+
+<p>To add a new format command, select the applicable feature and component. The default value for this command will be displayed in grey. Click "Add Format" to assign it to the collection. The "HTML Format String" will become editable and you can change it if you wish. Only one format command can be assigned to each feature/component combination.</p>
+
 <p>To remove a format command, select it from the list and click "Remove Format".</p>
-<p>To change a format command, select it from the list, modify the settings, and click "Replace Format".</p>
+
 <p>For more information about variables and the feature components, read Chapter 2 of the Greenstone Developer's Guide.</p>
-<p>If the "Allow Extended Options" checkbox is ticked, some advanced formatting options are enabled. The list of features that can be formatted is changed slightly, and more variables are available to be used in the format command, providing greater control over the page layout.</p>
+
 </body>
 </html>