Index: /trunk/gli/help/en/deletingcollections.htm
===================================================================
--- /trunk/gli/help/en/deletingcollections.htm	(revision 12730)
+++ /trunk/gli/help/en/deletingcollections.htm	(revision 12731)
@@ -12,5 +12,5 @@
 
 
-<p>To permanently delete collections from your Greenstone installation, choose "Delete..." from the "File" menu. A list of your Greenstone collections appears. Select one to see its description, then tick the box at the bottom of the dialog and click "Delete" to delete the collection. This action is irreversible, so check carefully that you no longer need the collection before proceeding!</p>
+<p>To permanently delete collections from your Greenstone installation, choose "Delete..." from the "File" menu. A list of your collections appears. Select one to see its description, then tick the box at the bottom of the dialog and click "Delete". This action is irreversible, so be careful.</p>
 
 </body>
Index: /trunk/gli/help/en/help.xml
===================================================================
--- /trunk/gli/help/en/help.xml	(revision 12730)
+++ /trunk/gli/help/en/help.xml	(revision 12731)
@@ -61,6 +61,6 @@
 </Title>
 <Text id="31">To open an existing collection, choose "Open" from the "File" menu to get the Open Collection prompt.  A list of your Greenstone collections appears. Select one to see its description, and click "Open" to load it.  If you seek a collection that resides outside Greenstone's "collect" folder, click "Browse" for a file system browsing dialog.</Text>
-<Text id="32">In case more than one Greenstone Librarian Interface program is running concurrently, the relevant directories are "locked" to prevent interference. On opening a collection, a small temporary lock file is created in its folder.  Before opening a collection, the Librarian Interface checks to ensure that no lock file already exists.  However, when the Librarian Interface is exited prematurely the lock file is sometimes left in place.  When you open such a collection, the Librarian asks if you want to "steal" control of it.  Never steal control of a collection that someone else is currently working on.</Text>
-<Text id="33">When you open a collection that the Greenstone Librarian Interface did not create, the Dublin Core metadata set will be assigned to it, and any existing metadata will be imported into that set just as it is when you drag in files with existing metadata. The process is described in the <Reference target="importingpreviouslyassignedmetadata"/> section. </Text>
+<Text id="32">In case more than one Greenstone Librarian Interface program is running concurrently, the relevant directories are "locked" to prevent interference. On opening a collection, a small temporary lock file is created in its folder.  Before opening a collection, the Librarian Interface checks to ensure that no lock file already exists.  However, when the Librarian Interface is exited prematurely the lock file is sometimes left in place.  When you open such a collection, the Librarian asks if you want to "steal" control of it. Feel free to do so unless you think that someone else is currently working on the same collection.</Text>
+<Text id="33">When you open a collection that the Greenstone Librarian Interface did not create, the Dublin Core metadata set will be assigned to it, and any existing metadata will be imported just as it is when you drag in files with existing metadata. The process is described in the <Reference target="importingpreviouslyassignedmetadata"/> section. </Text>
 </Section>
 <Section name="deletingcollections">
@@ -68,5 +68,5 @@
 <Text id="34">Deleting Collections</Text>
 </Title>
-<Text id="35">To permanently delete collections from your Greenstone installation, choose "Delete..." from the "File" menu. A list of your Greenstone collections appears. Select one to see its description, then tick the box at the bottom of the dialog and click "Delete" to delete the collection. This action is irreversible, so check carefully that you no longer need the collection before proceeding!</Text>
+<Text id="35">To permanently delete collections from your Greenstone installation, choose "Delete..." from the "File" menu. A list of your collections appears. Select one to see its description, then tick the box at the bottom of the dialog and click "Delete". This action is irreversible, so be careful.</Text>
 </Section>
 </Section>
@@ -82,12 +82,13 @@
 <Text id="39">This section describes how to configure a download task and control the downloading process. Access the <AutoText key="glidict::GUI.Download"/> view by clicking its tab. The top half of the screen shows the downloading controls. The bottom half is initially empty, but will show a list of pending and completed download jobs. </Text>
 <Text id="39a">There are several protocols that can be used for downloading records, and these are listed on the left hand side at the top.</Text>
-<Text id="39b"><b>Web:</b> allows downloads of web pages and files via HTTP and ftp.</Text>
-<Text id="39c"><b>OAI:</b> allows downloads of metadata records from an OAI (Open Archives Initiative) server.</Text>
-<Text id="39d"><b>Z3950:</b> allows downloads of MARC records that match a particular search criterion from a Z3950 server.</Text>
-<Text id="39e"><b>SRW:</b> allows downloads of MARCXML records that match a particular search criterion from an SRW server.</Text>
-<Text id="39f">Select the type of download that you want to carry out by clicking it in the left hand list. The right-hand portion of the downloading controls changes to match the options available for the selected download type. To find out what an option does, hover the mouse over it: a tool-tip explaining the option will appear. Some options are 'optional': these are presented with a check box which must be ticked on for the option to be used. Other options are 'required': these have no check box, and a value must be given for the download to be carried out. </Text>
-<Text id="39g">Once the configuration is set up, you can click <AutoText key="glidict::Download.ServerInformation"/> to check the connection to the server and view some basic information about the web page or server, or click <AutoText key="glidict::Mirroring.Download"/> to start the download. There are two other button controls: "Preferences", which links to the connection section of the Preferences where proxy settings can be edited; and "Clear Cache", which deletes all previously downloaded files. You will need to set up the proxy information if you use a proxy server to connect to the Internet. If authentication is needed when a download is being processed, the proxy server will prompt for username and password.  The Librarian Interface does not store passwords between sessions.</Text>
-<Text id="40">Files are downloaded into a folder in the workspace called <AutoText key="glidict::Tree.DownloadedFiles"/> (only present when downloading is enabled), and can be used in all collections built with the Librarian Interface.  Files in this area are named by their full web URL (for Web downloads) or a combination of URL and option values (for other download types). A new folder is created for each host, followed by others for each part of the path. This ensures that each file is distinct.</Text>
-<Text id="42">The download list has an entry for each download processed. Each entry has a text region that gives details of the task along with a progress bar showing current activity. Three buttons appear to the left of each entry. "Pause" is used for pausing a currently downloading task. "View Log" opens a window showing the download log file. "Close" terminates the download and removes the task from the list.  </Text>
+<Text id="39b"><b>Web:</b> downloads web pages and files via HTTP and FTP.</Text>
+<Text id="39c"><b>OAI:</b> downloads metadata records from an OAI (Open Archives Initiative) server.</Text>
+<Text id="39d"><b>Z3950:</b> downloads MARC records that match a particular search criterion from a Z3950 server.</Text>
+<Text id="39e"><b>SRW:</b> downloads MARCXML records that match a particular search criterion from an SRW server.</Text>
+<Text id="39f">Select the appropriate type by clicking it in the left hand list. The right-hand side displays the options available for the selected download type. To find out what an option does, hover the mouse over it: a tool-tip explaining the option will appear. Some options are 'optional': these are presented with a check box which must be ticked on for the option to be used. Others are 'required': these have no check box, and a value must be given before the download is carried out. </Text>
+<Text id="39g">Once the configuration is set up, click <AutoText key="glidict::Download.ServerInformation"/> to check the connection to the server and view some basic information about the web page or server, or click <AutoText key="glidict::Mirroring.Download"/> to start the download. </Text>
+<Text id="39g-1">There are two other buttons: "Preferences", which links to the connection section of the Preferences where proxy settings can be edited; and "Clear Cache", which deletes all previously downloaded files. You will need to set up proxy information if you use a proxy server to connect to the Internet. If authentication is needed when a download is being processed, the proxy server will prompt for username and password.  The Librarian Interface does not store passwords between sessions.</Text>
+<Text id="40">Files are downloaded into a folder called <AutoText key="glidict::Tree.DownloadedFiles"/> (only present when downloading is enabled), and can be used in any collections.  Files are named by their full web URL (for Web downloads) or a combination of URL and option values (for other download types). A new folder is created for each host, followed by others for each part of the path. This ensures that each file is distinct.</Text>
+<Text id="42">The download list has an entry for each download processed. Each entry has a text region that gives details of the task along with a progress bar showing current activity. Three buttons appear to the left of each entry. "Pause" is used to pause a task. "View Log" opens a window showing the download log file. "Close" terminates the download and removes the task from the list.  </Text>
 </Section>
 </Section>
Index: /trunk/gli/help/en/openingacollection.htm
===================================================================
--- /trunk/gli/help/en/openingacollection.htm	(revision 12730)
+++ /trunk/gli/help/en/openingacollection.htm	(revision 12731)
@@ -14,7 +14,7 @@
 <p>To open an existing collection, choose "Open" from the "File" menu to get the Open Collection prompt.  A list of your Greenstone collections appears. Select one to see its description, and click "Open" to load it.  If you seek a collection that resides outside Greenstone's "collect" folder, click "Browse" for a file system browsing dialog.</p>
 
-<p>In case more than one Greenstone Librarian Interface program is running concurrently, the relevant directories are "locked" to prevent interference. On opening a collection, a small temporary lock file is created in its folder.  Before opening a collection, the Librarian Interface checks to ensure that no lock file already exists.  However, when the Librarian Interface is exited prematurely the lock file is sometimes left in place.  When you open such a collection, the Librarian asks if you want to "steal" control of it.  Never steal control of a collection that someone else is currently working on.</p>
+<p>In case more than one Greenstone Librarian Interface program is running concurrently, the relevant directories are "locked" to prevent interference. On opening a collection, a small temporary lock file is created in its folder.  Before opening a collection, the Librarian Interface checks to ensure that no lock file already exists.  However, when the Librarian Interface is exited prematurely the lock file is sometimes left in place.  When you open such a collection, the Librarian asks if you want to "steal" control of it. Feel free to do so unless you think that someone else is currently working on the same collection.</p>
 
-<p>When you open a collection that the Greenstone Librarian Interface did not create, the Dublin Core metadata set will be assigned to it, and any existing metadata will be imported into that set just as it is when you drag in files with existing metadata. The process is described in the <a href="importingpreviouslyassignedmetadata.htm">Importing Previously Assigned Metadata</a> section. </p>
+<p>When you open a collection that the Greenstone Librarian Interface did not create, the Dublin Core metadata set will be assigned to it, and any existing metadata will be imported just as it is when you drag in files with existing metadata. The process is described in the <a href="importingpreviouslyassignedmetadata.htm">Importing Previously Assigned Metadata</a> section. </p>
 
 </body>
Index: /trunk/gli/help/en/themirrorview.htm
===================================================================
--- /trunk/gli/help/en/themirrorview.htm	(revision 12730)
+++ /trunk/gli/help/en/themirrorview.htm	(revision 12731)
@@ -17,22 +17,24 @@
 
 <p>
-<b>Web:</b> allows downloads of web pages and files via HTTP and ftp.</p>
+<b>Web:</b> downloads web pages and files via HTTP and FTP.</p>
 
 <p>
-<b>OAI:</b> allows downloads of metadata records from an OAI (Open Archives Initiative) server.</p>
+<b>OAI:</b> downloads metadata records from an OAI (Open Archives Initiative) server.</p>
 
 <p>
-<b>Z3950:</b> allows downloads of MARC records that match a particular search criterion from a Z3950 server.</p>
+<b>Z3950:</b> downloads MARC records that match a particular search criterion from a Z3950 server.</p>
 
 <p>
-<b>SRW:</b> allows downloads of MARCXML records that match a particular search criterion from an SRW server.</p>
+<b>SRW:</b> downloads MARCXML records that match a particular search criterion from an SRW server.</p>
 
-<p>Select the type of download that you want to carry out by clicking it in the left hand list. The right-hand portion of the downloading controls changes to match the options available for the selected download type. To find out what an option does, hover the mouse over it: a tool-tip explaining the option will appear. Some options are 'optional': these are presented with a check box which must be ticked on for the option to be used. Other options are 'required': these have no check box, and a value must be given for the download to be carried out. </p>
+<p>Select the appropriate type by clicking it in the left hand list. The right-hand side displays the options available for the selected download type. To find out what an option does, hover the mouse over it: a tool-tip explaining the option will appear. Some options are 'optional': these are presented with a check box which must be ticked on for the option to be used. Others are 'required': these have no check box, and a value must be given before the download is carried out. </p>
 
-<p>Once the configuration is set up, you can click "Server Information" to check the connection to the server and view some basic information about the web page or server, or click "Download" to start the download. There are two other button controls: "Preferences", which links to the connection section of the Preferences where proxy settings can be edited; and "Clear Cache", which deletes all previously downloaded files. You will need to set up the proxy information if you use a proxy server to connect to the Internet. If authentication is needed when a download is being processed, the proxy server will prompt for username and password.  The Librarian Interface does not store passwords between sessions.</p>
+<p>Once the configuration is set up, click "Server Information" to check the connection to the server and view some basic information about the web page or server, or click "Download" to start the download. </p>
 
-<p>Files are downloaded into a folder in the workspace called "Downloaded Files" (only present when downloading is enabled), and can be used in all collections built with the Librarian Interface.  Files in this area are named by their full web URL (for Web downloads) or a combination of URL and option values (for other download types). A new folder is created for each host, followed by others for each part of the path. This ensures that each file is distinct.</p>
+<p>There are two other buttons: "Preferences", which links to the connection section of the Preferences where proxy settings can be edited; and "Clear Cache", which deletes all previously downloaded files. You will need to set up proxy information if you use a proxy server to connect to the Internet. If authentication is needed when a download is being processed, the proxy server will prompt for username and password.  The Librarian Interface does not store passwords between sessions.</p>
 
-<p>The download list has an entry for each download processed. Each entry has a text region that gives details of the task along with a progress bar showing current activity. Three buttons appear to the left of each entry. "Pause" is used for pausing a currently downloading task. "View Log" opens a window showing the download log file. "Close" terminates the download and removes the task from the list.  </p>
+<p>Files are downloaded into a folder called "Downloaded Files" (only present when downloading is enabled), and can be used in any collections.  Files are named by their full web URL (for Web downloads) or a combination of URL and option values (for other download types). A new folder is created for each host, followed by others for each part of the path. This ensures that each file is distinct.</p>
+
+<p>The download list has an entry for each download processed. Each entry has a text region that gives details of the task along with a progress bar showing current activity. Three buttons appear to the left of each entry. "Pause" is used to pause a task. "View Log" opens a window showing the download log file. "Close" terminates the download and removes the task from the list.  </p>
 
 </body>