Index: trunk/gli/help/en/help.xml
===================================================================
--- trunk/gli/help/en/help.xml	(revision 12731)
+++ trunk/gli/help/en/help.xml	(revision 12737)
@@ -103,5 +103,5 @@
 </Title>
 <Text id="47">This section introduces the Gather area that you use to select what files to include in the collection you are building. The Librarian Interface starts with the Gather view.  To return to this view later, click the <AutoText key="glidict::GUI.Gather"/> tab directly below the menu bar.</Text>
-<Text id="48">The two large areas titled "Workspace" and "Collection" are used to move files into your collection.  They contain "file trees", graphical structures that represent files and folders.</Text>
+<Text id="48">The two large areas titled "Workspace" and "Collection" are used to move files into your collection.  They contain "file trees" that represent files and folders.</Text>
 <Text id="49">Select an item in the tree by clicking it.  (There are other ways; see below.) Double-click a folder, or single-click the switch symbol beside it, to expand (or collapse) its contents.  Double-click a file (or right-click and select <AutoText key="glidict::Menu.Open_Externally"/>) to open it using its associated application program (see <Reference target="fileassociations"/>).</Text>
 <Text id="50">The Workspace file tree shows the sources of data available to the Librarian Interface -- the local file system (including disk and CD-ROM drives), the contents of existing Greenstone collections, and the cache of downloaded files. You can copy and view these files but you cannot move, delete, or edit them, with the exception of the downloaded files, which can be deleted.  Navigate this space to find the files you want to include in the collection.</Text>
@@ -116,5 +116,5 @@
 <Text id="55a">Creating A Shortcut in the Workspace Tree</Text>
 </Title>
-<Text id="56">Certain folders -- such as the one containing your own web pages -- sometimes have special significance.  The Librarian Interface can map such folders to the top level of the file tree.  To do this, right-click the desired folder.  Select "Create Shortcut", and enter a name for the folder.  To remove an item, right-click the mapped folder and select "Remove Shortcut".</Text>
+<Text id="56">Certain folders -- such as the one containing your own web pages -- sometimes have special significance. If you like, the Librarian Interface can map them to the top level of the file tree.  To do this, right-click the desired folder.  Select "Create Shortcut", and enter a name for the folder.  To remove an item, right-click the mapped folder and select "Remove Shortcut".</Text>
 </Section>
 <Section name="creatingfolders">
@@ -134,5 +134,5 @@
 <Text id="64">Only the "highest" items in a selection are moved.  A folder is higher than its children.  You cannot select files within a folder and also the folder itself.</Text>
 <Text id="65">When you add a file, the Librarian Interface searches through the source folders for auxiliary files containing metadata previously assigned to the added file and, if it finds one, begins to import this metadata.  As the operation proceeds, you may be prompted (perhaps several times) for extra information to match the imported metadata to the metadata sets in your collection.  This process involves many different prompts, described in the <Reference target="importingpreviouslyassignedmetadata"/> section.  For a more detailed explanation of associating metadata with files read Chapter 2 of the Greenstone Developer's Guide -- Getting the most out of your documents.</Text>
-<Text id="65a">You can also add a "dummy" document to the collection by right-clicking in the Collection Tree or on a folder, and selecting "New dummy document". This will create a new empty file which can be assigned metadata. The file can be replaced with a "real" file later on.</Text>
+<Text id="65a">You can also add a "dummy" document to the collection by right-clicking in the Collection Tree or on a folder, and selecting "New dummy document". This will create a new empty file to which metadata can be assigned. The file can be replaced with a "real" file later on.</Text>
 </Section>
 <Section name="replacingfiles">
@@ -140,6 +140,6 @@
 <Text id="65b">Renaming and Replacing Files</Text>
 </Title>
-<Text id="65c">Files can be renamed by right-clicking on them and selecting "Rename" from the list. Enter the new name at the prompt and click "OK".</Text>
-<Text id="65d">Files can be replaced in the collection by right-clicking on the file to replace and choosing "Replace". A file browser will be opened up: navigate to the new document and click "Open". The new document will replace the old one in the collection, and any metadata will be transferred to the new document. This is particularly useful to replace dummy documents with their real documents.</Text>
+<Text id="65c">Files can be renamed by right-clicking them and selecting "Rename" from the list. Enter the new name at the prompt and click "OK".</Text>
+<Text id="65d">Files can be replaced in the collection by right-clicking the file to replace and choosing "Replace". A file browser will open up: navigate to the new document and click "Open". The new document will replace the old one in the collection, and any metadata will be transferred to it. This is particularly useful for replacing dummy documents by their real ones.</Text>
 </Section>
 <Section name="removingfiles">
@@ -152,11 +152,11 @@
 <Section name="explodingfiles">
 <Title>
-<Text id="exm-1">Exploding Metadata Files</Text>
-</Title>
-<Text id="exm-2">Metadata database file types, such as MARC, CDS/ISIS, BibTex, Refer, Procite etc. can be imported into Greenstone but their metadata cannot be viewed or edited in the Librarian Interface. To see or edit any metadata, you need to go back to the program that created the file.</Text>
-<Text id="exm-3"><i>Exploding</i> a metadata database file splits it into individual records, with viewable and editable metadata. This process is irreversible: once this step has been done, the metadata file is deleted.</Text>
-<Text id="exm-4">Explodable files have a green coloured icon in the Collection tree. To explode one, right click on it and choose "Explode metadata database". A popup window is displayed, showing options for the exploding process. The first option ("plugin") specifies the plugin to be used for exploding. In most cases, only one plugin will process a particular type of file, but in some cases, where different file types share the same filename extension, there may be two plugins that both process files with that extension. The "input_encoding" option can be used to specify the encoding of the database. The "metadata_set" option specifies which metadata set the new fields should be added into. If none is specified, then you will be prompted for what to do with each new field found in the database: add it as a new element to an existing metadata set, merge with another element, or ignore.</Text>
-<Text id="exm-5">When a file is exploded, a new empty document is created for each record, and the metadata from the record is assigned to the document. These are named using numbers such as 000001.nul, 000002.nul etc. If the "document_field" option is set (to a database field name), then the value of this field, if present, will be used for the filename. The exploding process will also try to download the file, and use this instead of an empty file. The "document_prefix" and "document_suffix" options can be used to make a valid URL or file path from the document_field value. The "records_per_folder" option can be used to group exploded records into sub-folders. If the database is very large, using this option will make future metadata editing run faster.</Text>
-<Text id="exm-6">Explodability is determined by file extension. In some cases, files may be incorrectly labelled as explodable.</Text>
+<Text id="exm-1">"Exploding" Metadata Files</Text>
+</Title>
+<Text id="exm-2">Metadata database file types, such as MARC, CDS/ISIS, BibTex, Refer and Procite can be imported into Greenstone but their metadata cannot be viewed or edited in the Librarian Interface. To see or edit any metadata, you need to go back to the program that created the file.</Text>
+<Text id="exm-3">"Exploding" a metadata database file splits it into individual records, with viewable and editable metadata. This process is irreversible: the original metadata file is deleted.</Text>
+<Text id="exm-4">Explodable files have a green icon in the Collection tree. To explode one, right click it and choose "Explode metadata database". A popup window shows options for the exploding process. The first option ("plugin") specifies the plugin to be used for exploding. In most cases, only one plugin will process a particular type of file, but in some cases, where different file types share the same filename extension, there may be two plugins that both process files with that extension. The "input_encoding" option can be used to specify the encoding of the database. The "metadata_set" option specifies which metadata set the new fields should be added to. If none is specified, you will be prompted for what to do with each new field in the database: add it as a new element to an existing metadata set, merge with another element, or ignore.</Text>
+<Text id="exm-5">When a file is exploded, a new empty document is created for each record, and the metadata from the record is assigned to the document. These are named using numbers such as 000001.nul, 000002.nul etc. If the "document_field" option is set (to a database field name), the value of this field, if present, will be used for the filename. The exploding process will also try to download the file and use it instead of an empty file. The "document_prefix" and "document_suffix" options can be used to make a valid URL or file path from the document_field value. The "records_per_folder" option can be used to group exploded records into sub-folders. If the database is very large, using this option will accelerate subsequent metadata editing.</Text>
+<Text id="exm-6">Explodability is determined by file extension. In some cases, files may be incorrectly labelled as explodable if they have the same file extension as an explodable file. For example, the ProCite plugin processes files with a .txt extension, but most .txt files are plain text files, not ProCite files.</Text>
 </Section>
 <Section name="filteringthetree">
@@ -193,10 +193,10 @@
 <Text id="84a">The "Assigned Metadata Sets" list shows you what sets are currently used by the collection.</Text>
 <Text id="84b">To use another metadata set with the loaded collection, click "Add...". A popup window shows you the default metadata sets that GLI knows about. To add one of these, select it from the list and click "Add". If you have defined your own metadata set, you can use the "Browse" button to locate the file on your file system.</Text>
-<Text id="84c">To create a new metadata set, click "New...". This will launch the Greenstone Editor for Metadata Sets, or GEMS. An initial popup window prompts you for the set name, namespace and description. You can also choose to base the new set on an existing one, in which case it will inherit all the elements from the specified set. Click OK. The main window shows the metadata set on the left hand side, and some attributes for the set on the right hand side. If you have based the set on an existing one, there will be one or more elements displayed. Clicking on one of these will display attributes of the element in the right hand side.</Text>
-<Text id="84d">To add a new element to the set, right click on the set and choose "Add Element". To add a new subelement, right click on the element and choose "Add Subelement". Elements and subelements can be deleted by choosing "Delete (Sub)element" from the right click menu. </Text>
-<Text id="84e">Note, the Greenstone Editor for Metadata Sets can be run independently of GLI by selecting it from the Greenstone Start menu, or by running gens.sh or gems.bat in the gli folder of your Greenstone installation.</Text>
-<Text id="84f">Sometimes two metadata sets may have the same namespace, for example, Dublin Core and Qualified Dublin Core both use the namespace "dc". Sets like this cannot be used in the collection at the same time. If you try to add a set with a namespace already used by the collection, a warning will be shown, and if you go ahead with the add, the existing set will be removed and the new set will be added. Any assigned metadata values will be transferred to the new set providing those elements still exist.</Text>
-<Text id="191">Editing metadata sets is also done with the GEMS. Clicking the "Edit" button launches GEMS with the specified metadata set open. Once you have finished editing the set (as described above), save it (File->Save) and close GEMS.</Text>
-<Text id="192">If you no longer need a metadata set, select it and press "Remove" to remove it. If you have assigned any metadata to elements in the removed set you will be asked how to deal with this metadata when you next open the collection.</Text>
+<Text id="84c">To create a new metadata set, click "New...". This will launch the Greenstone Editor for Metadata Sets, GEMS. An initial popup window prompts you for the set name, namespace and description. You can also choose to base the new set on an existing one, in which case it will inherit all the elements from the specified set. Click OK. The main window shows the metadata set on the left hand side, and some attributes for the set on the right hand side. If you have based the set on an existing one, one or more elements will be displayed. Clicking one displays attributes of the element in the right hand side.</Text>
+<Text id="84d">To add a new element, right click on the set and choose "Add Element". To add a new subelement, right click on the element and choose "Add Subelement". Elements and subelements can be deleted by choosing "Delete (Sub)element" from the right click menu. </Text>
+<Text id="84e">Note: the Greenstone Editor for Metadata Sets can be run independently of GLI by selecting it from the Greenstone Start menu, or by running gens.sh or gems.bat in the gli folder of your Greenstone installation.</Text>
+<Text id="84f">Sometimes two metadata sets may have the same namespace, for example, Dublin Core and Qualified Dublin Core both use the namespace "dc". Such sets cannot be used in the collection at the same time. If you try to add a set with a namespace already used by the collection, a warning will be shown. If you go ahead, the existing set will be removed and the new one added. Any assigned metadata values will be transferred to the new set providing those elements still exist.</Text>
+<Text id="191">With GEMS upi can edit existing metadata sets as well as create new ones. Clicking the "Edit" button launches GEMS with the specified metadata set open. Once you have finished editing the set (as described above), save it (File->Save) and close GEMS.</Text>
+<Text id="192">If a collection no longer needs a metadata set, select it and press "Remove". If you have assigned any metadata to its elements you will be asked how to deal with this metadata when you next open the collection.</Text>
 </Section>
 <Section name="appendingmetadata">
@@ -222,5 +222,5 @@
 <Text id="94">To edit or remove a piece of metadata, first select the appropriate file, and then the metadata value from the table. Edit the value field, deleting all text if you wish to remove the metadata.</Text>
 <Text id="95">The process is the same when updating a folder with child folders or multiple files, but you can only update metadata that is common to all files/folders selected.</Text>
-<Text id="96">The value tree shows all currently assigned values as well as previous values for the current session, so changed or deleted values will remain in the tree. Closing the collection and then re-opening it will remove the values which are no longer assigned.</Text>
+<Text id="96">The value tree shows all currently assigned values as well as previous values for the current session, so changed or deleted values will remain in the tree. Closing the collection and then re-opening it will remove all values that are no longer assigned.</Text>
 </Section>
 <Section name="reviewingmetadata">
@@ -228,5 +228,5 @@
 <Text id="97">Reviewing Assigned Metadata</Text>
 </Title>
-<Text id="98">Sometimes you need to see the metadata assigned to many or all files at once -- for instance, to determine how many files are left to work on, or to get some idea of the spread of dates.</Text>
+<Text id="98">Sometimes you need to see the metadata assigned to many files at once -- for instance, to determine how many files are left to work on, or to get some idea of the spread of dates.</Text>
 <Text id="99">Select the files in the Collection Tree you wish to examine, then right-click and choose "Assigned Metadata...". A window called "All Metadata", dominated by a large table with many columns, appears.  The first column shows file names; the rows show all metadata values assigned to those files.</Text>
 <Text id="100">Drawing the table can take some time if many files are selected.  You can continue to use the Librarian Interface while the "All Metadata" window is open.</Text>
@@ -356,5 +356,5 @@
 </Title>
 <Text id="196">The Create view is used to create the collection by running Greenstone collection-building scripts on the information you have provided. Access the Create view by clicking the Create tab.</Text>
-<Text id="196a">Clicking "Build Collection" initiates the collection building process.  The time this takes depends on the size of the collection and the number of indexes being created (for huge collections it can be hours). A progress bar indicates how much of the process has been completed. To cancel the process at any time, click "Cancel Build". The lower part of the panel shows some output from the build process. The top part of the Create panel shows some options for controlling the build process.</Text>
+<Text id="196a">Clicking "Build Collection" initiates the collection building process.  The time this takes depends on the size of the collection and the number of indexes being created (for huge collections it can be hours). A progress bar indicates how much of the process has been completed. To cancel the process at any time, click "Cancel Build". The lower part of the panel shows some output from the build process. The upper part shows some options for controlling the build process.</Text>
 <Text id="197">Once the collection has successfully built, clicking "Preview Collection" will launch a web browser showing the home page of the collection.</Text>
 </Section>
@@ -363,5 +363,5 @@
 <Text id="199a">Errors in collection building</Text>
 </Title>
-<Text id="199b">Sometimes something will go wrong during collection building. This may be one or more files weren't able to be processed: the rest of the collection builds fine, and can be previewed, but some of the documents are not in it. Or the whole collection is not built properly, in which case you will get a message saying <AutoText key="glidict::CollectionManager.Cannot_Create_Collection"/>. When this happens, it may be helpful to switch the GLI into expert mode (File->Preferences->Mode, see <Reference target="preferences"/>), set the build option "verbosity" to 5, and rebuild, to see if there are any error messages.</Text>
+<Text id="199b">Sometimes things go wrong during collection building. Maybe some files couldn't be processed: the rest of the collection builds fine, and can be previewed, but some documents are absent. Or the whole collection is not built properly, in which case a message says <AutoText key="glidict::CollectionManager.Cannot_Create_Collection"/> When this happens, it may be helpful to switch the GLI into expert mode (File->Preferences->Mode, see <Reference target="preferences"/>), set the build option "verbosity" to 5, and rebuild, to see if there are any error messages.</Text>
 </Section>
 <Section name="expertbuilding">
@@ -370,5 +370,5 @@
 </Title>
 <Text id="198">In Expert mode, you can use the "Message Log" entry at the left to review previous attempts to build the collection, whether successful or not. Select the log you want by clicking on the desired date in the "Log History" list.</Text>
-<Text id="200a">A full list of import and build options are available in this mode, in the Import and Build tabs to the left. Controlling the various settings is done in a similar way to the "Configuring Arguments" window described in the <Reference target="plugins"/> section.  Some fields require numeric arguments, and you can either type these in or use the up and down arrows to increase or decrease the current value (in some cases, the interface restricts the range you can enter).  Others are enabled by clicking a checkbox (click again to disable).</Text>
+<Text id="200a">In this mode, a full list of import and build options are shown in the Import and Build tabs to the left. The various settings are controlled just like the "Configuring Arguments" window described in the <Reference target="plugins"/> section.  Some fields require numeric arguments, and you can type these in or use the arrows to increase or decrease the current value (in some cases, the interface restricts the range you can enter).  Others are enabled by clicking a checkbox (click again to disable).</Text>
 <Text id="201a">For more information about importing and building read Chapter 1 of the Greenstone Developer's Guide -- Understanding the collection-building process.</Text>
 </Section>
@@ -378,5 +378,5 @@
 <Text id="fc-1">Customizing Your Collection's Appearance</Text>
 </Title>
-<Text id="fc-2">Once you have built the collection, you next decide how it should appear to the user. What names should be used for the drop-down list of indexes in the search form? How should search results be displayed? What metadata should be displayed when a document is viewed? These things can be customized; this section explains how to do it. </Text>
+<Text id="fc-2">Once you have built the collection, you next decide how it should appear to the user. What names should be used for the drop-down list of indexes in the search form? How should search results be displayed? What metadata should be displayed when a document is viewed? These can be customized; this section explains how to do it. </Text>
 <Section name="theformatview">
 <Title>
@@ -384,7 +384,7 @@
 </Title>
 <Text id="fc-4">This section introduces you to the Format view and explains how to navigate between the various views within this pane.</Text>
-<Text id="fc-5">With the Librarian Interface, you can configure how the collection appears to the user. The configuration options are divided into different sections, each associated with a different type of customization.</Text>
-<Text id="fc-6">On the left is a list of different views and on the right are the controls associated with the current one. To change to a different view, click its name in the list.</Text>
-<Text id="fc-7">Under the list of views on the left hand side is a "Preview Collection" button. Changes made in the Format view don't require a collection rebuild, so can be previewed straight away. However, the collection must have been built at least once to allow previewing.</Text>
+<Text id="fc-5">With the Librarian Interface you can configure how the collection appears to the user. The configuration options are divided into sections, each associated with a different type of customization.</Text>
+<Text id="fc-6">On the left is a list of views and on the right are the controls associated with the current one. To change to a different view, click its name in the list.</Text>
+<Text id="fc-7">Under the list of views is a "Preview Collection" button. Changes made in the Format view don't require a collection rebuild, so can be previewed straight away. However, the collection must have been built at least once to allow previewing.</Text>
 </Section>
 <Section name="generalsettings">
@@ -393,6 +393,6 @@
 </Title>
 <Text id="118">This section explains how to review and alter the general settings associated with your collection.  First, under the "Format" tab, click "General".</Text>
-<Text id="119">Here some collection wide metadata, including the title and description entered when starting a new collection, can be set or modified.</Text>
-<Text id="120">First are the contact email addresses of the collection's creator and maintainer. The following field allows you to change the collection title. The folder that the collection is stored in is shown next, but this cannot be edited. The next one specifies (in the form of a URL) the icon to show at the top left of the collection's "About" page, and the next is the icon used in the Greenstone library page to link to the collection. Then, a checkbox controls whether the collection should be publicly accessible. Finally comes the "Collection Description" text area as described in <Reference target="creatingacollection"/>.</Text>
+<Text id="119">Here some collection wide metadata can be set or modified, including the title and description entered when starting a new collection.</Text>
+<Text id="120">First are the contact email addresses of the collection's creator and maintainer. The following field allows you to change the collection title. The folder that the collection is stored in is shown next, but this cannot be altered. Then comes the icon to show at the top left of the collection's "About" page (in the form of a URL), followed by the icon used in the Greenstone library page to link to the collection. Next is a checkbox that controls whether the collection should be publicly accessible. Finally comes the "Collection Description" text area as described in <Reference target="creatingacollection"/>.</Text>
 </Section>
 <Section name="searchmetadatasettings">
@@ -421,5 +421,5 @@
 <Text id="184">First choose an entry from the "Features" list.  The language-specific strings associated with this feature appear below.  Use the "Language of translation" pull-down list to select the target language, and type the translated text into the text area, referring to the "Initial Text Fragment" if necessary.  Click "Add Translation" when finished.</Text>
 <Text id="185">To remove an existing translation, select it in the "Assigned Translations" table and click "Remove Translation".</Text>
-<Text id="186">To edit a translation, select it, edit it in the "Translated Text" text area, and click "Replace Translation".</Text>
+<Text id="186">To edit a translation, select it, edit the "Translated Text" area and click "Replace Translation".</Text>
 </Section>
 <Section name="xcollectionsearching">
@@ -437,5 +437,5 @@
 </Title>
 <Text id="fc-m2">Under the "Format" tab, click "Collection Specific Macros".</Text> 
-<Text id="fc-m3">This view shows the contents of the collection's extra.dm macro file. This is where collection specific macros can be defined. To learn more about macros, please see Chapter 3 of the Greenstone Developer's Guide.</Text>
+<Text id="fc-m3">This view shows the contents of the collection's extra.dm macro file. This is where collection specific macros can be defined. To learn more about macros, see Chapter 3 of the Greenstone Developer's Guide.</Text>
 </Section>
 </Section>
@@ -471,7 +471,7 @@
 <Text id="exp-1">Exporting collections to other formats</Text>
 </Title>
-<Text id="exp-2">Greenstone can export the contents and/or metadata of a collection to some standard formats, including METS, DSpace and MARCXML.</Text>
+<Text id="exp-2">Greenstone can export the contents and/or metadata of a collection to several standard formats, including METS, DSpace and MARCXML.</Text>
 <Text id="exp-3">To export one or more collections, open the "File" menu and choose "Export...". You can choose which format to export to by selecting it in the "Export to" drop-down list. Specify a name for the directory where you want to put the exported files&mdash;the files will end up in &lt;path to greenstone&gt;/tmp/exported_xxx, where xxx is the name you specified. Select one or more collections in the list of available collections, then click "Export collection(s)".</Text>
-<Text id="exp-4">There are other options specific to the different formats. You can specify XSLT files which will be applied to the resulting XML document(s) in order to customize the output format. Exporting to MARCXML uses a mapping file to map Greenstone metadata to MARC fields. The default mapping file maps only Dublin Core metadata. You can specify a custom mapping file to be used instead.</Text>
+<Text id="exp-4">There are other options specific to the various formats. You can specify XSLT files which will be applied to the resulting XML document(s) in order to customize the output format. Exporting to MARCXML uses a mapping file to map Greenstone metadata to MARC fields. The default mapping file maps only Dublin Core metadata. You can specify a custom mapping file to be used instead.</Text>
 </Section>
 <Section name="exportingcollections">