Index: trunk/gsdl/perllib/strings.properties
===================================================================
--- trunk/gsdl/perllib/strings.properties	(revision 12742)
+++ trunk/gsdl/perllib/strings.properties	(revision 12743)
@@ -467,7 +467,9 @@
 #
 
+AllList.desc:Creates a single list of all documents. Use by the oaiserver.
+
 AZCompactList.allvalues:Use all metadata values found.
 
-AZCompactList.desc:Classifier plugin for sorting alphabetically
+AZCompactList.desc:Classifier plugin for sorting alphabetically (on a-zA-Z0-9). Produces a horizontal A-Z list, then a vertical list containing documents, or bookshelves for documents with common metadata.
 
 AZCompactList.doclevel:Level to process document at.
@@ -494,9 +496,9 @@
 AZCompactSectionList.desc:Variation on AZCompactList that classifies sections rather than documents. Entries are sorted by section-level metadata.
 
-AZList.desc:Classifier plugin for sorting alphabetically
+AZList.desc:Classifier plugin for sorting alphabetically (on a-zA-Z0-9). Produces a horizontal A-Z list, with documents listed underneath.
 
 AZList.metadata:A single Metadata field or a comma separated list of Metadata fields used for classification. Following the order indicated by the list, the first field that contains a Metadata value will be used. List will be sorted by this element.
 
-AZSectionList.desc:Classifier plugin for sorting alphabetically. This is very similar to AZList except it sorts by section level metadata (excluding the top level) instead of just top level metadata. The only change is to the classify() subroutine which must now iterate through each section, adding each to the classification.
+AZSectionList.desc:Variation on AZList that classifies sections rather that documents. Entries are sorted by section-level metadata. 
 
 BasClas.bad_general_option:The %s classifier uses an incorrect option. Check your collect.cfg configuration file.
@@ -518,11 +520,11 @@
 BasClas.verbosity:Controls the quantity of output. 0=none, 3=lots.
 
-Browse.desc:.
+Browse.desc:A fake classifier that provides a link in the navigation bar to a prototype combined browsing and searching page. Only works for mgpp collections, and is only practical for small collections.
 
 DateList.bymonth:Classify by year and month instead of only year.
 
-DateList.desc:Classifier plugin for sorting by date. By default, sorts by 'Date' metadata. Date is assumed to be in the form yyyymmdd.
-
-DateList.metadata:The metadata that contains the dates to classify by. The format is expected to be yyyymmdd. Can be a comma separated list, in which case the first date found will be used.
+DateList.desc:Classifier plugin for sorting by date. By default, sorts by 'Date' metadata. Dates are assumed to be in the form yyyymmdd or yyyy-mm-dd.
+
+DateList.metadata:The metadata that contains the dates to classify by. The format is expected to be yyyymmdd or yyyy-mm-dd. Can be a comma separated list, in which case the first date found will be used.
 
 DateList.reverse_sort:Sort the documents in reverse chronological order (newest first).
@@ -573,5 +575,5 @@
 List.sort:Metadata field to sort by. Use '-sort nosort' for no sorting. 
 
-Phind.desc:The Phind clasifier plugin.
+Phind.desc:Produces a hierarchy of phrases found in the text, which is browsable via an applet.
 
 Phind.language:Language or languages to use building hierarchy. Languages are identified by two-letter country codes like en (English), es (Spanish), and fr (French). Language is a regular expression, so 'en|fr' (English or French) and '..' (match any language) are valid.
@@ -593,5 +595,5 @@
 SectionList.desc:Same as List classifier but includes all sections of document (excluding top level) rather than just top level document itself.
 
-Collage.desc:The Collage classifier plugin.
+Collage.desc:An applet is used to display a collage of images found in the collection.
 
 Collage.geometry:The dimensions of the Collage canvas. For a canvas 600 pixels wide by 400 pixels high, for example, specify geometry as 600x400