Index: /trunk/gsdl/macros/english.dm
===================================================================
--- /trunk/gsdl/macros/english.dm	(revision 12763)
+++ /trunk/gsdl/macros/english.dm	(revision 12764)
@@ -406,9 +406,9 @@
 _textpreferences_ {Preferences}
 _textcasediffs_ {Case differences:}
-_textignorecase_ { ignore case differences}
-_textmatchcase_ { upper/lower case must match}
+_textignorecase_ {ignore case differences}
+_textmatchcase_ {upper/lower case must match}
 _textwordends_ {Word endings:}
-_textstem_ { ignore word endings}
-_textnostem_ { whole word must match}
+_textstem_ {ignore word endings}
+_textnostem_ {whole word must match}
 _textprefop_ {Return up to _maxdocoption_ hits with _hitsperpageoption_ hits per page.}
 _textextlink_ {Access to external Web pages:}
@@ -419,6 +419,6 @@
 _textall_ {all}
 _textquerymode_ {Query mode:}
-_textsimplemode_ { simple query mode}
-_textadvancedmode_ { advanced query mode (allows boolean searching using !, &, |, and parentheses)}
+_textsimplemode_ {simple query mode}
+_textadvancedmode_ {advanced query mode (allows boolean searching using !, &, |, and parentheses)}
 _textlinkinterm_ {through intermediate page}
 _textlinkdirect_ {go directly there}
@@ -431,24 +431,15 @@
 <br>}
 
+_textsearchtype_ {Search type:}
+_textformsearchtype_ {form with _formnumfieldoption_ fields}
+_textplainsearchtype_ {plain with _boxsizeoption_ query box}
+_textregularbox_ {regular}
+_textlargebox_ {large}
+
 _textrelateddocdisplay_ {display related documents}
 _textsearchhistory_ {Search history:}
-_textnohistory_ { No search history}
-_texthistorydisplay_ { display _historynumrecords_ search history records}
-_textnohistorydisplay_ { do not display search history}
-
-#_texttypesearch_ {Type of search:}
-#_texttextsearch_ {text search}
-_textformsearch_ {Form search:}
-_textplainsearch_ {Plain search:}
-_textqueryboxsize_ {Query box size:}
-_textregbox_ { regular query box}
-_textbigbox_ { large query box}
-_textformtype_ {Form type:}
-_textsimple_ { simple}
-_textadvanced_ { advanced}
-
-# used in "with 4 fields" in the form search box
-_textwith_ {with}
-_textfields_ {fields}
+_textnohistory_ {No search history}
+_texthistorydisplay_ {display _historynumrecords_ search history records}
+_textnohistorydisplay_ {do not display search history}
 
 
Index: /trunk/gsdl/macros/pref.dm
===================================================================
--- /trunk/gsdl/macros/pref.dm	(revision 12763)
+++ /trunk/gsdl/macros/pref.dm	(revision 12764)
@@ -84,5 +84,5 @@
 _getargsfunction_ {
 function getargs () \{
-  return argk + args + argm + argo + argrd + arghd + argb + argqf + argqb + argfqn_If_(_collectionoption_,_ccsargs_)_If_(_htmloptions_,_htmlargs_);
+  return argk + args + argm + argo + argrd + arghd + argb + argqf + argqb + argfqn + argqt_If_(_collectionoption_,_ccsargs_)_If_(_htmloptions_,_htmlargs_);
 \}
 }
@@ -138,4 +138,5 @@
 argqb = "";
 argfqn = "";
+argqt= "";
 
 _If_(_collectionoption_,_ccsfunctions_,_standardfunctions_)
@@ -181,4 +182,12 @@
 \}
 
+function updateqt (value) \{
+	 alert ("updateqt");
+  if (value != _cgiargqt_) argqt = "&qt=" + value;
+  else argqt = "";
+ alert ("argqt = "+argqt); 
+  updatehrefs();
+\}
+
 function updatefqn () \{
   value = document.PrefForm.fqn.options[document.PrefForm.fqn.selectedIndex].value;
@@ -191,9 +200,4 @@
   if (value != _cgiargb_) argb = "&b=" + value;
   else argb = "";
-  updatehrefs();
-\}
-function updateqf (value) \{
-  if (value != _cgiargqf_) argqf = "&qf=" + value;
-  else argqf = "";
   updatehrefs();
 \}
@@ -211,8 +215,11 @@
 \}
 
-function updateqb(value) \{
-  if (value != _cgiargqb_) argqb = "&qb=" + value;
+
+function updateqb() \{
+
+   value = document.PrefForm.qb.options[document.PrefForm.qb.selectedIndex].value;
+   if (value != _cgiargqb_) argqb = "&qb=" + value;
   else argqb = "";
-  updatehrefs();
+   updatehrefs();
 \}
 
@@ -246,11 +253,4 @@
 \}
 
-function updateqt (value) \{
-  if (value != _cgiargqt_) \{
-    href = location.href;
-    while (href.match(/&cc=[\\w]+/)) href = href.replace(/&cc=[\\w]+/, "");
-    location.href = href + "&qt=" + value + getargs();
-  \}	
-\}
 }
 
@@ -310,10 +310,45 @@
 
 #search pref options
+
+
+# search type option 
+_searchtypeoptionplain_ {
+<td valign=baseline>_textsearchtype_</td>
+<td>_textplainsearchtype_</td>
+}
+_searchtypeoptionform_ {
+<td valign=baseline>_textsearchtype_</td>
+<td>_textformsearchtype_</td>
+}
+_searchtypeoptionboth_ {
+<td valign=baseline>_textsearchtype_</td>
+<td><input type=radio name=qt value=0 onClick="updateqt(0);"
+		_If_(_cgiargqt_,, checked)>_textplainsearchtype_<br>
+<input type=radio name=qt value=1 onClick="updateqt(1);"
+		_If_(_cgiargqt_, checked)>_textformsearchtype_</td>
+}
+
 _boxsizeoption_{
-<td valign=baseline>_textqueryboxsize_</td>
-<td><input type=radio name=qb value=0 onClick="updateqb(0);"
-		_If_(_cgiargqb_,, checked)>_textregbox_<br>
-<input type=radio name=qb value=1 onClick="updateqb(1);"
-		_If_(_cgiargqb_, checked)>_textbigbox_</td>
+<select name="qb" onChange="updateqb();">
+  <option value="0"_If_("_cgiargqb_" eq "0", selected)>_textregularbox_
+  <option value="1"_If_("_cgiargqb_" eq "1", selected)>_textlargebox_
+</select>
+}
+
+_formnumfieldoption_ {
+<select name="fqn" onChange="updatefqn();">
+  <option value="2"_If_("_cgiargfqn_" eq "2", selected)>2  
+  <option value="4"_If_("_cgiargfqn_" eq "4", selected)>4
+  <option value="6"_If_("_cgiargfqn_" eq "6", selected)>6
+  <option value="8"_If_("_cgiargfqn_" eq "8", selected)>8
+</select>
+}
+
+_modeoption_ {
+<td valign=baseline>_textquerymode_</td>
+<td><input type=radio name=b value=0 onClick="updateb(0);"
+		_If_(_cgiargb_,, checked)>_textsimplemode_<br>
+<input type=radio name=b value=1 onClick="updateb(1);"
+		_If_(_cgiargb_, checked)>_textadvancedmode_</td>
 }
 
@@ -339,29 +374,4 @@
 _stemoption_ [l=zh] {}
 
-
-_modeoption_ {
-<td valign=baseline>_textquerymode_</td>
-<td><input type=radio name=b value=0 onClick="updateb(0);"
-		_If_(_cgiargb_,, checked)>_textsimplemode_<br>
-<input type=radio name=b value=1 onClick="updateb(1);"
-		_If_(_cgiargb_, checked)>_textadvancedmode_</td>
-}
-
-_formmodeoption_{
-<td valign=baseline>_textformtype_</td>
-<td><input type=radio name=qf value=0 onClick="updateqf(0);"
-		_If_(_cgiargf_,, checked)>_textsimple_<br>
-<input type=radio name=qf value=1 onClick="updateqf(1);"
-		_If_(_cgiargqf_, checked)>_textadvanced_</td>
-}
-
-_formnumfieldoption_ {<td></td><td>_textwith_
-<select name="fqn" onChange="updatefqn();">
-  <option value="2"_If_("_cgiargfqn_" eq "2", selected)>2  
-  <option value="4"_If_("_cgiargfqn_" eq "4", selected)>4
-  <option value="6"_If_("_cgiargfqn_" eq "6", selected)>6
-  <option value="8"_If_("_cgiargfqn_" eq "8", selected)>8
-</select>_textfields_</td>
-}
 
 _searchhistoryop_ {
@@ -452,11 +462,13 @@
 #search prefs 
 _searchprefs_ {
-<center><table border=0 cellpadding=0 cellspacing=0 width=_pagewidth_><tr>
+<table border=0 cellpadding=0 cellspacing=0 width=_pagewidth_><tr>
 <td><h3>_textsearchprefs_</h3></td>
 <td align=right><input type=submit name="bp" value="_textsetprefs_"></td>
-</tr></table></center>
+</tr></table>
 
 <table>
-_querytypedependantoptions_
+<tr>_querytypedependantoptions_</tr>
+
+<tr>_modeoption_</tr>
 
 <tr>_caseoption_</tr>
@@ -479,34 +491,14 @@
 
 _querytypedependantoptions_ {
-_If_("_cgiargct_" eq "0", _plainqueryoptions_,_mgppqueryoptions_)
-}
-
-_mgppqueryoptions_{
-  _If_("_cgiargqto_" eq "1", _plainqueryoptions_)
-  _If_("_cgiargqto_" eq "2", _formqueryoptions_)
-  _If_("_cgiargqto_" eq "3", _dualqueryoptions_)
-}
-
-#query options for mg colls and mgpp colls with only plain searching
-_plainqueryoptions_ {
-<tr>_modeoption_</tr>
-
-<tr>_boxsizeoption_</tr>
-}
-
-#query options for mgpp colls with only form searching
-_formqueryoptions_ {
-<noscript><tr><td colspan=2><b>_query:textnojsformwarning_</b></td></tr></noscript>
-<tr>_formmodeoption_</tr>
-<tr>_formnumfieldoption_</tr>
-}
-
-#query options for mgpp colls with both types of search available
-_dualqueryoptions_ {
-<tr><td colspan=2><input type=radio name=qt value=0 onClick="updateqt(0);" _If_(_cgiargqt_,, checked)>_textplainsearch_</td></tr>
-<tr><td></td><td><table>_plainqueryoptions_</table></td></tr>
-<tr><td colspan=2><input type=radio name=qt value=1 onClick="updateqt(1);" _If_(_cgiargqt_,checked)>_textformsearch_</td></tr>
-<tr><td></td><td><table>_formqueryoptions_</table></td></tr>
-}
+_If_("_cgiargct_" eq "0",_searchtypeoptionplain_,_mgppqueryoptions_)
+}
+_mgppqueryoptions_ {
+_If_("_cgiargqto_" eq "1", _searchtypeoptionplain_)
+_If_("_cgiargqto_" eq "2", _searchtypeoptionform_)
+_If_("_cgiargqto_" eq "3", _searchtypeoptionboth_)
+}
+
+# should this go somewhere??
+#<noscript><tr><td colspan=2><b>_query:textnojsformwarning_</b></td></tr></noscript>
 
 _collectionprefs_ {